/* indent size: 2 */

module.exports = app => {
    const DataTypes = app.Sequelize;

    const Model = app.model.define('AccessRole', {
        role_id: {
            type: DataTypes.INTEGER(10).UNSIGNED,
            primaryKey: true
        },
        access_id: {
            type: DataTypes.STRING(5000),
        }
    }, {
        tableName: 'szj_access_role'
    });
    Model.associate = function() {

    }
    //同步:没有就新建,有就不变
    Model.sync();
    return Model;
};
