-- phpMyAdmin SQL Dump
-- version 4.0.10.20
-- https://www.phpmyadmin.net
--
-- 主机: localhost
-- 生成日期: 2022-03-29 14:19:10
-- 服务器版本: 5.6.42
-- PHP 版本: 5.4.45

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- 数据库: `szjshop`
--

-- --------------------------------------------------------

--
-- 表的结构 `szj_accesss`
--

CREATE TABLE IF NOT EXISTS `szj_accesss` (
  `access_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '节点ID',
  `access_name` varchar(20) NOT NULL COMMENT '节点名称',
  `pid` int(10) unsigned NOT NULL COMMENT '上级ID',
  `router_path` varchar(255) NOT NULL COMMENT '跳转地址',
  `router_name` varchar(100) NOT NULL COMMENT '节点路由 对应vue路由',
  `access_icon` varchar(30) NOT NULL COMMENT '节点图标',
  `access_sort` int(10) unsigned NOT NULL COMMENT '节点排序',
  `level` tinyint(1) unsigned NOT NULL COMMENT '节点等级',
  `is_nav` tinyint(1) unsigned NOT NULL COMMENT '是否导航节点',
  `admin_id` int(10) unsigned NOT NULL COMMENT '操作管理员',
  `access_status` tinyint(1) unsigned NOT NULL COMMENT '节点状态',
  `vuecomponent` varchar(255) NOT NULL COMMENT '加载页面',
  `mobile_show` tinyint(1) unsigned NOT NULL COMMENT '移动端是否显示',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '变动时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`access_id`),
  KEY `is_nav` (`is_nav`,`access_status`),
  KEY `mobile_show` (`mobile_show`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='管理节点' AUTO_INCREMENT=90 ;

--
-- 转存表中的数据 `szj_accesss`
--

INSERT INTO `szj_accesss` (`access_id`, `access_name`, `pid`, `router_path`, `router_name`, `access_icon`, `access_sort`, `level`, `is_nav`, `admin_id`, `access_status`, `vuecomponent`, `mobile_show`, `update_time`, `create_time`) VALUES
(1, '系统管理', 0, '', 'system', '&#xe66c;', 10, 1, 1, 17, 1, '', 1, '2022-02-19 09:48:20', '2020-10-23 17:01:01'),
(2, '权限管理', 1, '', 'system_auth', '&#xe66c;', 10, 2, 1, 1, 1, '', 1, '2022-02-19 09:48:20', '2020-10-23 17:02:20'),
(3, '管理员列表', 2, 'users', 'admin_user', '&#xe66c;', 5, 3, 1, 1, 1, 'adminUser.vue', 1, '2022-02-19 09:48:20', '2020-10-23 17:02:37'),
(4, '角色列表', 2, 'roles', 'admin_role', '&#xe66c;', 15, 3, 1, 1, 1, 'roles.vue', 1, '2022-02-19 09:48:20', '2020-10-23 17:03:00'),
(5, '权限节点', 2, 'access', 'admin_access', '&#xe66c;', 20, 3, 1, 1, 1, 'accesss.vue', 0, '2022-02-19 09:48:20', '2020-10-23 17:43:57'),
(8, '添加管理员', 2, '', 'create_admin_user', '&#xe66c;', 6, 3, 0, 1, 1, '', 1, '2022-02-19 09:48:20', '2020-10-26 11:14:15'),
(9, '编辑管理员', 2, '', 'update_admin_user', '&#xe66c;', 7, 3, 0, 1, 1, '', 1, '2022-02-19 09:48:20', '2020-10-26 11:15:23'),
(10, '删除管理员', 2, '', 'delete_admin_user', '&#xe66c;', 8, 3, 0, 1, 1, '', 1, '2022-02-19 09:48:20', '2020-10-26 11:16:10'),
(11, '添加权限节点', 2, '', 'create_admin_access', '&#xe66c;', 21, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2020-10-26 12:24:13'),
(12, '编辑权限节点', 2, '', 'update_admin_access', '&#xe66c;', 22, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2020-10-26 12:43:23'),
(13, '删除权限节点', 2, '', 'delete_admin_access', '&#xe66c;', 23, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2020-10-26 14:21:54'),
(23, '添加角色', 2, '', 'create_admin_role', '&#xe66c;', 16, 3, 0, 1, 1, '', 1, '2022-02-19 09:48:20', '2020-10-26 17:15:52'),
(24, '编辑角色', 2, '', 'update_admin_role', '&#xe66c;', 17, 3, 0, 1, 1, '', 1, '2022-02-19 09:48:20', '2020-10-26 17:17:12'),
(25, '删除角色', 2, '', 'delete_admin_role', '&#xe66c;', 18, 3, 0, 1, 1, '', 1, '2022-02-19 09:48:20', '2020-10-26 17:17:34'),
(26, '角色授权', 2, '', 'admin_role_access', '&#xe66c;', 19, 3, 0, 1, 1, '', 1, '2022-02-19 09:48:20', '2020-10-26 17:18:18'),
(27, '配置管理', 1, '', 'configs', '&#xe66c;', 15, 2, 1, 1, 1, '', 1, '2022-02-19 09:48:20', '2020-10-29 18:28:45'),
(28, '配置列表', 27, 'configs', 'config_list', '&#xe66c;', 5, 3, 1, 1, 1, 'configs.vue', 1, '2022-02-19 09:48:20', '2020-10-29 18:30:02'),
(29, '配置设置', 27, 'confset', 'config_setting', '&#xe66c;', 15, 3, 1, 1, 1, 'confset.vue', 1, '2022-02-19 09:48:20', '2020-10-29 18:30:56'),
(30, '添加配置', 27, '', 'create_config', '&#xe66c;', 6, 3, 0, 1, 1, '', 1, '2022-02-19 09:48:20', '2020-10-31 13:57:59'),
(31, '编辑配置', 27, '', 'update_config', '&#xe66c;', 7, 3, 0, 1, 1, '', 1, '2022-02-19 09:48:20', '2020-10-31 13:58:31'),
(32, '删除配置', 27, '', 'delete_config', '&#xe66c;', 8, 3, 0, 1, 1, '', 1, '2022-02-19 09:48:20', '2020-10-31 13:59:00'),
(45, '文章管理', 1, '', 'articles', '&#xe66c;', 20, 2, 1, 1, 1, '', 0, '2022-02-19 09:48:20', '2021-05-25 18:56:26'),
(46, '文章列表', 45, 'articles', 'article_index', '&#xe66c;', 5, 3, 1, 1, 1, 'articles.vue', 0, '2022-02-19 09:48:20', '2021-05-25 18:57:30'),
(47, '文章分类', 45, 'articles/category', 'article_category', '&#xe66c;', 10, 3, 1, 1, 1, 'articlesCategory.vue', 0, '2022-02-19 09:48:20', '2021-05-25 18:57:58'),
(48, '添加文章', 45, '', 'create_article', '&#xe66c;', 6, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2021-05-25 19:05:25'),
(49, '更新文章', 45, '', 'update_article', '&#xe66c;', 7, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2021-05-25 19:05:59'),
(50, '删除文章', 45, '', 'delete_article', '&#xe66c;', 8, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2021-05-25 19:06:35'),
(51, '添加文章分类', 45, '', 'create_article_category', '&#xe66c;', 11, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2021-05-25 19:10:38'),
(52, '更新文章分类', 45, '', 'update_article_category', '&#xe66c;', 12, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2021-05-25 19:11:10'),
(53, '删除文章分类', 45, '', 'delete_article_category', '&#xe66c;', 13, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2021-05-25 19:11:45'),
(55, '商城管理', 0, '', 'shops', '&#xe66c;', 5, 1, 1, 1, 1, '', 0, '2022-02-19 09:48:20', '2022-01-17 12:12:15'),
(58, '商品管理', 55, '', 'shopsProduct', '&#xe66c;', 10, 2, 1, 1, 1, '', 0, '2022-02-19 09:48:20', '2022-02-09 11:35:21'),
(59, '商品列表', 58, 'shops/productList', 'select_products', '&#xe66c;', 10, 3, 1, 1, 1, 'shops/products.vue', 0, '2022-02-19 09:48:20', '2022-02-09 11:36:46'),
(60, '商品分类', 58, 'shops/productCategory', 'select_product_category', '&#xe66c;', 20, 3, 1, 1, 1, 'shops/productCategory.vue', 0, '2022-02-19 09:48:20', '2022-02-09 11:37:43'),
(61, '商品类型', 58, 'shops/productTypes', 'select_product_types', '&#xe66c;', 30, 3, 1, 1, 1, 'shops/productTypes.vue', 0, '2022-02-19 09:48:20', '2022-02-09 11:38:39'),
(62, '供货商列表', 58, 'shops/productSuppliers', 'select_product_suppliers', '&#xe66c;', 40, 3, 1, 1, 1, 'shops/productSuppliers.vue', 0, '2022-02-19 09:48:20', '2022-02-09 11:39:37'),
(63, '添加商品', 58, '', 'create_products', '&#xe66c;', 12, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2022-02-09 11:41:10'),
(64, '更新商品', 58, '', 'update_products', '&#xe66c;', 14, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2022-02-09 11:41:40'),
(65, '删除商品', 58, '', 'delete_products', '&#xe66c;', 16, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2022-02-09 11:42:03'),
(66, '添加商品分类', 58, '', 'create_product_category', '&#xe66c;', 22, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2022-02-09 11:43:24'),
(67, '更新商品分类', 58, '', 'update_product_category', '&#xe66c;', 24, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2022-02-09 11:43:47'),
(68, '删除商品分类', 58, '', 'delete_product_category', '&#xe66c;', 26, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2022-02-09 11:44:15'),
(69, '添加商品类型', 58, '', 'create_product_types', '&#xe66c;', 32, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2022-02-09 11:44:45'),
(70, '更新商品类型', 58, '', 'update_product_types', '&#xe66c;', 34, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2022-02-09 11:45:08'),
(71, '删除商品类型', 58, '', 'delete_product_types', '&#xe66c;', 36, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2022-02-09 11:45:39'),
(72, '添加供货商', 58, '', 'create_product_suppliers', '&#xe66c;', 42, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2022-02-09 11:46:29'),
(73, '更新供货商', 58, '', 'update_product_suppliers', '&#xe66c;', 44, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2022-02-09 11:47:01'),
(74, '删除供货商', 58, '', 'delete_product_suppliers', '&#xe66c;', 46, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2022-02-09 11:47:26'),
(75, '商品类型属性', 58, 'shops/productTypesItem', 'select_product_types_item', '&#xe66c;', 50, 3, 0, 1, 1, 'shops/productTypesItem.vue', 0, '2022-02-19 09:48:20', '2022-02-12 15:24:25'),
(78, '订单管理', 55, '', 'shopOrders', '&#xe66c;', 20, 2, 1, 1, 1, '', 0, '2022-02-19 09:48:20', '2022-02-17 09:19:54'),
(79, '订单列表', 78, 'shops/OrderList', 'select_orders', '&#xe66c;', 10, 3, 1, 1, 1, 'shops/orderList.vue', 0, '2022-02-19 09:48:20', '2022-02-17 09:20:52'),
(80, '订单详情', 78, 'shops/orderInfo', 'select_orders_info', '&#xe66c;', 15, 3, 0, 1, 1, 'shops/orderInfo.vue', 0, '2022-02-19 09:48:20', '2022-02-18 16:35:42'),
(81, '商城配置', 55, '', 'shopsConfig', '&#xe66c;', 30, 2, 1, 1, 1, '', 0, '2022-02-19 09:48:20', '2022-02-19 10:08:11'),
(82, '支付配置', 81, 'shops/paysConfig', 'select_pays_config', '&#xe66c;', 10, 3, 1, 1, 1, 'shops/paysConfig.vue', 0, '2022-02-19 09:48:20', '2022-02-19 10:09:01'),
(83, '添加支付配置', 81, '', 'create_pays_config', '&#xe66c;', 12, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2022-02-19 10:09:35'),
(84, '更新支付配置', 81, '', 'update_pays_config', '&#xe66c;', 14, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2022-02-19 10:10:08'),
(85, '删除支付配置', 81, '', 'delete_pays_config', '&#xe66c;', 16, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2022-02-19 10:10:35'),
(86, '配送方式', 81, 'shops/shippingsConfig', 'select_shippings_config', '&#xe66c;', 20, 3, 1, 1, 1, 'shops/shippingsConfig.vue', 0, '2022-02-19 09:48:20', '2022-02-19 10:11:37'),
(87, '添加配送方式', 81, '', 'create_shippings_config', '&#xe66c;', 22, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2022-02-19 10:12:10'),
(88, '更新配送方式', 81, '', 'update_shippings_config', '&#xe66c;', 24, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2022-02-19 10:12:38'),
(89, '删除配送方式', 81, '', 'delete_shippings_config', '&#xe66c;', 26, 3, 0, 1, 1, '', 0, '2022-02-19 09:48:20', '2022-02-19 10:13:07');

-- --------------------------------------------------------

--
-- 表的结构 `szj_access_role`
--

CREATE TABLE IF NOT EXISTS `szj_access_role` (
  `role_id` int(10) unsigned NOT NULL COMMENT '角色ID',
  `access_id` varchar(5000) NOT NULL COMMENT '节点ID',
  PRIMARY KEY (`role_id`),
  KEY `access_id` (`access_id`(255))
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色权限节点';

--
-- 转存表中的数据 `szj_access_role`
--

INSERT INTO `szj_access_role` (`role_id`, `access_id`) VALUES
(1, '1,2,3,8,9,10,4,23,24,25,26,5,11,12,13,27,28,30,31,32,29,45,46,48,49,50,47,51,52,53'),
(3, '1,2,3,4,5,27,28,45,46,48,47,52');

-- --------------------------------------------------------

--
-- 表的结构 `szj_address`
--

CREATE TABLE IF NOT EXISTS `szj_address` (
  `address_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '地址ID',
  `user_id` int(10) unsigned NOT NULL COMMENT '用户ID',
  `uname` varchar(255) NOT NULL COMMENT '收货人姓名',
  `mobile` varchar(11) NOT NULL COMMENT '收货人电话',
  `province_id` int(10) unsigned NOT NULL COMMENT '所在省ID',
  `province_name` varchar(255) NOT NULL COMMENT '所在省名称',
  `city_id` int(10) unsigned NOT NULL COMMENT '所在市ID',
  `city_name` varchar(255) NOT NULL COMMENT '所在市名称',
  `county_id` int(10) unsigned NOT NULL COMMENT '所在县ID',
  `county_name` varchar(255) NOT NULL COMMENT '所在县名称',
  `address` varchar(255) NOT NULL COMMENT '地址详情',
  `is_use` tinyint(1) unsigned NOT NULL COMMENT '是否使用',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`address_id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='收货地址表' AUTO_INCREMENT=7 ;

--
-- 转存表中的数据 `szj_address`
--

INSERT INTO `szj_address` (`address_id`, `user_id`, `uname`, `mobile`, `province_id`, `province_name`, `city_id`, `city_name`, `county_id`, `county_name`, `address`, `is_use`, `update_time`, `create_time`) VALUES
(4, 1, '一个小哥', '15219840108', 440000, '广东省', 441600, '河源市', 441602, '源城区', '宝源学校公交车站', 1, '2022-03-26 12:03:57', '2022-03-18 17:06:49'),
(5, 1, '罗生', '15219840108', 510000, '四川省', 510700, '绵阳市', 510722, '三台县', '刘营镇7村二组', 0, '2022-03-26 12:03:51', '2022-03-22 09:30:24'),
(6, 2, '罗勇', '15219840108', 440000, '广东省', 441600, '河源市', 441602, '源城区', '永福农贸中心市场三楼', 1, '2022-03-29 02:58:20', '2022-03-29 10:57:35');

-- --------------------------------------------------------

--
-- 表的结构 `szj_admin_user`
--

CREATE TABLE IF NOT EXISTS `szj_admin_user` (
  `admin_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '管理员ID',
  `username` varchar(20) NOT NULL,
  `password` varchar(255) NOT NULL,
  `role_id` int(10) unsigned NOT NULL,
  `admin_status` tinyint(1) unsigned NOT NULL,
  `login_ip` varchar(15) NOT NULL,
  `login_time` datetime NOT NULL,
  `login_count` int(10) unsigned NOT NULL COMMENT '登录次数',
  `admin_token` varchar(255) NOT NULL,
  `admin_code` char(6) NOT NULL,
  `other_auth` varchar(255) NOT NULL,
  `action_user` int(10) unsigned NOT NULL COMMENT '操作user_id',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '变动时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`admin_id`),
  KEY `role_id` (`role_id`),
  KEY `username` (`username`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='后台管理员' AUTO_INCREMENT=18 ;

--
-- 转存表中的数据 `szj_admin_user`
--

INSERT INTO `szj_admin_user` (`admin_id`, `username`, `password`, `role_id`, `admin_status`, `login_ip`, `login_time`, `login_count`, `admin_token`, `admin_code`, `other_auth`, `action_user`, `update_time`, `create_time`) VALUES
(1, 'szjcomo', '4a4232bf90b84f41223e88eb06895b21', 0, 1, '127.0.0.1', '2022-03-29 09:07:18', 230, '', 'abcd', '', 1, '2022-03-29 01:07:57', '2020-10-22 18:43:14'),
(13, '宁晓欣', '079d3d19737fa31306abac3064cf6916', 1, 1, '192.168.1.222', '2021-03-01 17:24:11', 2, '', '3844', '', 1, '2021-12-16 04:10:15', '2021-03-01 17:19:17'),
(17, '天地乾坤', 'a09b8ad35c7decf3addba761edc154e4', 1, 1, '192.168.1.158', '2022-01-20 18:56:53', 16, '', '5393', '', 1, '2022-03-19 10:09:32', '2021-12-16 15:46:52');

-- --------------------------------------------------------

--
-- 表的结构 `szj_articles`
--

CREATE TABLE IF NOT EXISTS `szj_articles` (
  `article_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '文章ID',
  `article_title` varchar(200) NOT NULL COMMENT '文章标题',
  `article_desc` varchar(255) NOT NULL COMMENT '文章描述',
  `article_content` text NOT NULL COMMENT '文章内容',
  `article_image` varchar(255) NOT NULL COMMENT '封面图片',
  `article_type` tinyint(1) unsigned NOT NULL COMMENT '文章类型 0文章 1视频',
  `category_id` int(10) unsigned NOT NULL COMMENT '分类ID',
  `article_tags` varchar(255) NOT NULL COMMENT '文章标签,多个用逗号隔开',
  `article_status` tinyint(1) unsigned NOT NULL COMMENT '文章状态',
  `article_author` varchar(100) NOT NULL COMMENT '文章作者',
  `article_views` int(10) unsigned NOT NULL COMMENT '浏览次数',
  `article_template_info` varchar(255) NOT NULL COMMENT '文章详情模版',
  `article_recommend` tinyint(1) unsigned NOT NULL COMMENT '文章推荐 0不推荐 1推荐',
  `article_template_list` varchar(255) NOT NULL COMMENT '文章列表模版',
  `article_sort` int(10) unsigned NOT NULL COMMENT '文章排序',
  `view_auth` tinyint(1) unsigned NOT NULL COMMENT '0 所有人 1超管',
  `admin_id` int(10) unsigned NOT NULL COMMENT '管理员ID',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`article_id`),
  KEY `category_id` (`category_id`),
  KEY `article_status` (`article_status`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='文章表' AUTO_INCREMENT=4 ;

--
-- 转存表中的数据 `szj_articles`
--

INSERT INTO `szj_articles` (`article_id`, `article_title`, `article_desc`, `article_content`, `article_image`, `article_type`, `category_id`, `article_tags`, `article_status`, `article_author`, `article_views`, `article_template_info`, `article_recommend`, `article_template_list`, `article_sort`, `view_auth`, `admin_id`, `update_time`, `create_time`) VALUES
(2, '发表第一篇文章', '', '<div class="como-editor-cus-template"><section class="_135editor" draggable="true" data-tools="135编辑器" data-id="108115"><section style="text-align: center;margin: 10px auto;"><section style="border: 1px solid #6669a9;padding: 25px 20px 30px 25px;margin-left: 5px;box-shadow: -5px 6px 0 0 #bfc2e9"><section style="display: inline-block;margin-bottom: 20px;"><section style="display: flex;justify-content: center;align-items: flex-end;"><section style="text-align: left;transform: rotate(0deg);"><section class="135brush" data-brushtype="text" style="font-size: 16px; letter-spacing: 1.5px;">如何搭配长春花蓝</section><section class="135brush" data-brushtype="text" style="font-size: 12px;letter-spacing: 0.5px;color: #666;">Good times</section></section><section style="font-size: 46px;letter-spacing: 1.5px;color: #bfc2e9;line-height: 42px;font-style: italic;margin-left: -30px;"><strong>0</strong><strong class="autonum" data-original-title="" title="">1</strong></section></section><section class="assistant" style="display: flex; justify-content: flex-end; margin-top: -10px; margin-right: -5px;"><section class="assistant" style="width: 75px; height: 1px; background-color: rgb(51, 51, 51); transform: rotate(-25deg);"></section></section></section><section class="box-edit _135editor" style="margin-top: 15px;"><section style="display: flex;justify-content: flex-start;align-items: flex-start;"><section class="assistant" style="width: 7px; height: 7px; background-color: rgb(102, 105, 169); border-radius: 50%; flex-shrink: 0; margin-top: 9px; margin-right: 7px;"></section><section data-autoskip="1" class="135brush" style="text-align: justify; line-height: 1.75em; letter-spacing: 1.5px; background: transparent;"><p style="vertical-align: inherit;"><font size="2">透过暖色调及冷色调的搭配运用，达到互相补强的效果，有活力。</font></p></section></section></section><section class="box-edit _135editor" style="margin-top: 15px;"><section style="display: flex;justify-content: flex-start;align-items: flex-start;"><section class="assistant" style="width: 7px; height: 7px; background-color: rgb(102, 105, 169); border-radius: 50%; flex-shrink: 0; margin-top: 9px; margin-right: 7px;"></section><section data-autoskip="1" class="135brush" style="text-align: justify; line-height: 1.75em; letter-spacing: 1.5px; background: transparent;"><p style="vertical-align:inherit;"><font size="2">融合大自然色调，突出绿色与温和的PANTONE 17-3938的兼容性。</font></p></section></section></section><section class="box-edit _135editor" style="margin-top: 15px;"><section style="display: flex;justify-content: flex-start;align-items: flex-start;"><section class="assistant" style="width: 7px; height: 7px; background-color: rgb(102, 105, 169); border-radius: 50%; flex-shrink: 0; margin-top: 9px; margin-right: 7px;"></section><section data-autoskip="1" class="135brush" style="text-align: justify; line-height: 1.75em; letter-spacing: 1.5px; background: transparent;"><p style="vertical-align: inherit;"><font size="2">围绕着所有蓝色色调中最快乐和最温暖的色调，搭配经典和中性色调。</font></p></section></section></section></section></section></section></div><p><br/></p>', 'http://attachs.sizhijie.com/szjkj-common-oss/a9473cab62a3de960c0f982927241d02fe000d99.png', 0, 1, '', 1, '', 10, '', 0, '', 99, 0, 1, '2022-01-17 03:06:37', '2021-12-18 18:57:48'),
(3, '发表第二篇文章', '', '<div class="como-editor-cus-template"><section class="_135editor" draggable="true" data-role="title" data-tools="135编辑器" data-id="107853"><section style="text-align: center;margin: 10px 7px;"><section style="display: inline-block;"><section style="display: flex;justify-content: flex-end;transform: translate(7px,0px);"><section><section class="assistant" style="width: 15px; height: 13px; background-color: rgb(253, 153, 24); margin-bottom: 2px; margin-left: 2px;"></section><section class="assistant" style="width: 6px; height: 4px; background-color: rgb(253, 153, 24);"></section></section></section><section style="background-color: rgb(49, 83, 230); padding: 5px 15px; margin-top: -14px; margin-bottom: -14px;"><section style="font-size: 20px;letter-spacing: 1.5px;color: #fff;transform: rotate(0deg);"><strong class="135brush" data-brushtype="text">工作成果与亮点</strong></section></section><section style="transform: translate(-7px,0px);"><section class="assistant" style="width: 6px; height: 4px; background-color: rgb(253, 153, 24); margin-bottom: 2px; margin-left: 11px;"></section><section class="assistant" style="width: 15px; height: 13px; background-color: rgb(253, 153, 24);"><br/></section></section></section></section></section></div><div class="como-editor-cus-template"><section class="_135editor" draggable="true" data-tools="135编辑器" data-id="108114"><section style="margin: 20px auto;"><section style="display: flex;"><section style="display: flex;"><section class="assistant" style="width: 1px; height: 100%; background-color: rgb(102, 105, 169);"></section></section><section style="flex: 1;"><section class="box-edit _135editor"><section style="display: inline-block;"><section style="background-color: rgb(102, 105, 169); padding-bottom: 5px; padding-left: 8px; text-align: center;"><section style="display: flex;justify-content: center;align-items: flex-start;"><section style="width: 22px; height: 22px; background-color: rgb(255, 255, 255); border-radius: 50%; flex-shrink: 0; margin-top: 5px; margin-right: 8px;"><section style="letter-spacing: 0px; color: rgb(102, 105, 169); line-height: 22px;">0<span class="autonum" data-original-title="" title="">1</span></section></section><section style="background-color: rgb(240, 241, 255); padding-right: 8px; padding-bottom: 6px; padding-left: 8px; box-shadow: rgb(240, 241, 255) 0px -7px 0px 0px;"><section class="135brush" data-brushtype="text" style="letter-spacing: 1.5px; color: rgb(102, 105, 169);">长春花蓝搭配技巧</section></section></section></section></section><section data-autoskip="1" class="135brush" style="margin-top: 9px; margin-right: 15px; margin-left: 24px; padding-bottom: 7px; border-bottom: 1px dashed rgb(102, 105, 169); text-align: justify; line-height: 1.75em; letter-spacing: 1.5px; background: transparent;"><p style="vertical-align: inherit;"><font size="2">透过暖色调及冷色调的搭配运用，达到互相补强的效果，有活力。</font></p></section></section><section class="box-edit _135editor" style="margin-top: 30px;"><section style="display: inline-block;"><section style="background-color: rgb(102, 105, 169); padding-bottom: 5px; padding-left: 8px; text-align: center;"><section style="display: flex;justify-content: center;align-items: flex-start;"><section style="width: 22px; height: 22px; background-color: rgb(255, 255, 255); border-radius: 50%; flex-shrink: 0; margin-top: 5px; margin-right: 8px;"><section style="letter-spacing: 0px; color: rgb(102, 105, 169); line-height: 22px;">0<span class="autonum" data-original-title="" title="">2</span></section></section><section style="background-color: rgb(240, 241, 255); padding-right: 8px; padding-bottom: 6px; padding-left: 8px; box-shadow: rgb(240, 241, 255) 0px -7px 0px 0px;"><section class="135brush" data-brushtype="text" style="letter-spacing: 1.5px; color: rgb(102, 105, 169);">长春花蓝搭配技巧</section></section></section></section></section><section data-autoskip="1" class="135brush" style="margin-top: 9px; margin-right: 15px; margin-left: 24px; padding-bottom: 7px; border-bottom: 1px dashed rgb(102, 105, 169); text-align: justify; line-height: 1.75em; letter-spacing: 1.5px; background: transparent;"><p style="vertical-align: inherit;"><font size="2">透过暖色调及冷色调的搭配运用，达到互相补强的效果，有活力。</font></p></section></section><section class="box-edit _135editor" style="margin-top: 30px;"><section style="display: inline-block;"><section style="background-color: rgb(102, 105, 169); padding-bottom: 5px; padding-left: 8px; text-align: center;"><section style="display: flex;justify-content: center;align-items: flex-start;"><section style="width: 22px; height: 22px; background-color: rgb(255, 255, 255); border-radius: 50%; flex-shrink: 0; margin-top: 5px; margin-right: 8px;"><section style="letter-spacing: 0px; color: rgb(102, 105, 169); line-height: 22px;">0<span class="autonum" data-original-title="" title="">3</span></section></section><section style="background-color: rgb(240, 241, 255); padding-right: 8px; padding-bottom: 6px; padding-left: 8px; box-shadow: rgb(240, 241, 255) 0px -7px 0px 0px;"><section class="135brush" data-brushtype="text" style="letter-spacing: 1.5px; color: rgb(102, 105, 169);">长春花蓝搭配技巧</section></section></section></section></section><section data-autoskip="1" class="135brush" style="margin-top: 9px; margin-right: 15px; margin-left: 24px; padding-bottom: 7px; border-bottom: 1px dashed rgb(102, 105, 169); text-align: justify; line-height: 1.75em; letter-spacing: 1.5px; background: transparent;"><p style="vertical-align: inherit;"><font size="2">透过暖色调及冷色调的搭配运用，达到互相补强的效果，有活力。</font></p></section></section></section></section></section></section></div><p><br/></p>', 'http://attachs.sizhijie.com/szjkj-common-oss/71ef9c02dc55929b0d5c29e3ea37f5c3216eb911.jpeg', 0, 1, '', 1, '', 10, '', 0, '', 99, 0, 1, '2022-01-17 03:06:06', '2021-12-18 19:01:59');

-- --------------------------------------------------------

--
-- 表的结构 `szj_articles_category`
--

CREATE TABLE IF NOT EXISTS `szj_articles_category` (
  `category_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `category_name` varchar(200) NOT NULL COMMENT '分类名称',
  `category_desc` varchar(255) NOT NULL COMMENT '分类描述',
  `category_image` varchar(255) NOT NULL COMMENT '分类图片',
  `pid` int(10) unsigned NOT NULL COMMENT '上级id',
  `category_sort` int(10) unsigned NOT NULL COMMENT '分类排序',
  `category_status` tinyint(1) unsigned NOT NULL COMMENT '分类状态',
  `category_level` tinyint(1) unsigned NOT NULL COMMENT '分类等级',
  `category_recommend` tinyint(1) unsigned NOT NULL COMMENT '是否推荐',
  `admin_id` int(10) unsigned NOT NULL COMMENT '管理员ID',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `create_time` datetime NOT NULL COMMENT '添加时间',
  PRIMARY KEY (`category_id`),
  KEY `category_status` (`category_status`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='文章分类表' AUTO_INCREMENT=7 ;

--
-- 转存表中的数据 `szj_articles_category`
--

INSERT INTO `szj_articles_category` (`category_id`, `category_name`, `category_desc`, `category_image`, `pid`, `category_sort`, `category_status`, `category_level`, `category_recommend`, `admin_id`, `update_time`, `create_time`) VALUES
(1, '测试分类', '', 'http://attachs.sizhijie.com/szjkj-common-oss/36f609a1e4c56beee5a00982f802bdc682a99f2a.jpeg', 0, 99, 1, 1, 0, 1, '2021-12-21 03:34:31', '2021-08-08 18:57:42'),
(3, '市教育局', '', 'http://attachs.sizhijie.com/szjkj-common-oss/61e036fbe8e8cacd8d0f5654b24191fc41c0795c.png', 0, 99, 1, 1, 0, 1, '2021-12-21 03:37:33', '2021-12-18 17:56:36'),
(4, '源城区教育局', '', '', 3, 99, 1, 2, 0, 1, '2022-01-17 03:57:55', '2021-12-18 17:57:16'),
(5, '江东新区教育办', '', '', 3, 99, 1, 2, 0, 1, '2021-12-18 09:59:03', '2021-12-18 17:58:06'),
(6, '紫金县教育局', '', '', 3, 99, 1, 2, 0, 1, '2021-12-18 09:59:25', '2021-12-18 17:58:28');

-- --------------------------------------------------------

--
-- 表的结构 `szj_carts`
--

CREATE TABLE IF NOT EXISTS `szj_carts` (
  `cart_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '购物车ID',
  `product_id` int(10) unsigned NOT NULL COMMENT '商品ID',
  `product_count` int(10) unsigned NOT NULL COMMENT '商品数量',
  `is_select` tinyint(1) unsigned NOT NULL COMMENT '是否选中',
  `user_id` int(10) unsigned NOT NULL COMMENT '用户ID',
  `random_key` varchar(10) NOT NULL COMMENT '随机数',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`cart_id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='用户购物车表' AUTO_INCREMENT=86 ;

-- --------------------------------------------------------

--
-- 表的结构 `szj_collects`
--

CREATE TABLE IF NOT EXISTS `szj_collects` (
  `collect_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '收藏ID',
  `user_id` int(10) unsigned NOT NULL COMMENT '用户ID',
  `product_id` int(10) unsigned NOT NULL COMMENT '商品ID',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`collect_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户收藏表' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- 表的结构 `szj_configs`
--

CREATE TABLE IF NOT EXISTS `szj_configs` (
  `config_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '配置ID',
  `field_index` varchar(100) NOT NULL COMMENT '索引字段',
  `field_type` varchar(20) NOT NULL COMMENT '字段类型仅支持[text,textarea,number,switch,datetime,image,images]',
  `field_label` varchar(20) NOT NULL COMMENT '表单label',
  `field_group` varchar(50) NOT NULL COMMENT '所属分组',
  `field_options` varchar(255) NOT NULL COMMENT '其它选项',
  `field_desc` varchar(50) NOT NULL COMMENT '提示文字',
  `field_status` tinyint(1) unsigned NOT NULL COMMENT '配置状态',
  `field_value` text NOT NULL COMMENT '字段值',
  `field_sort` int(10) unsigned NOT NULL COMMENT '配置排序',
  `admin_id` int(10) unsigned NOT NULL COMMENT '管理员ID',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`config_id`),
  KEY `config_name` (`field_index`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='配置设置' AUTO_INCREMENT=25 ;

--
-- 转存表中的数据 `szj_configs`
--

INSERT INTO `szj_configs` (`config_id`, `field_index`, `field_type`, `field_label`, `field_group`, `field_options`, `field_desc`, `field_status`, `field_value`, `field_sort`, `admin_id`, `update_time`, `create_time`) VALUES
(1, 'system_group', 'textarea', '总配置组', 'website', '', '请输入系统总配置分组项', 1, 'website|系统设置\nwechat|微信配置\nthird_party|思智捷服务', 1, 1, '2022-03-28 08:54:45', '2020-10-24 12:11:57'),
(2, 'website_title', 'text', '商城名称', 'website', '', '请输入商城名称', 1, '思智捷科技数据管理系统', 2, 1, '2022-03-28 01:56:16', '2020-10-24 13:43:35'),
(8, 'home_swipers', 'images', '首页轮播', 'website', '', '请配置商城首页轮播图', 1, 'http://attachs.sizhijie.com/szjkj-common-oss/bcb2e93e3f7fcbc4ea8d4df9f23dc83e60b21504.jpg', 4, 1, '2022-03-28 01:57:28', '2020-10-31 14:15:06'),
(11, 'editor_templates_uri', 'text', '编辑器模版接口', 'third_party', '', '请输入思智捷科技提供的编辑器模版调用接口地址', 1, 'https://apis.sizhijie.com/templates/list', 5, 1, '2022-03-28 08:59:03', '2021-01-14 10:37:52'),
(13, 'files_upload_uri', 'text', '资料上传域名', 'third_party', '', '请配置思智捷科技提供的图片文件上传的域名', 1, 'https://apis.sizhijie.com/oss/v1/upload?identity=eyJkYXRhIjp7InVzZXiOjE0LCJ1c2VyXZGUiOiJtWHJYVloifX0=JfaWQ2Nv', 4, 1, '2022-03-28 08:59:21', '2021-08-09 19:05:14'),
(14, 'image_ocr_uri', 'text', '图像识别域名', 'third_party', '', '请配置思智捷科技图像识别调用接口地址', 1, 'https://apis.sizhijie.com', 6, 1, '2022-03-28 08:58:45', '2021-08-09 19:06:17'),
(15, 'wechat_account_appid', 'text', '公众号appid', 'wechat', '', '请输入微信公众号appid', 1, 'wx6aab892e5b7b6023', 10, 1, '2022-03-28 07:54:02', '2022-03-28 09:51:19'),
(16, 'wechat_account_secret', 'text', '公众号secret', 'wechat', '', '微信公众号secret', 1, 'b000a5a1d69925397b6725db34879167', 15, 1, '2022-03-28 07:54:02', '2022-03-28 09:52:14'),
(17, 'wechat_account_token', 'text', '公众号token', 'wechat', '', '请配置微信公众号通信的token', 1, 'szjcomo2022', 20, 1, '2022-03-28 07:55:07', '2022-03-28 09:54:56'),
(18, 'wechat_account_jsapi_uri', 'text', '页面调用地址', 'wechat', '', '请配置公众号JSAPI页面调用地址', 1, 'http://test.enroll.sizhijie.com/#/shop/home', 25, 1, '2022-03-28 06:54:52', '2022-03-28 11:47:01'),
(19, 'wechat_account_jsapi_list', 'text', '公众号JS接口', 'wechat', '', '请配置微信公众号jsapi需要调用的接口列表,用,号隔开', 1, 'chooseWXPay,updateTimelineShareData,updateAppMessageShareData,chooseImage', 30, 1, '2022-03-28 06:56:49', '2022-03-28 11:48:51'),
(20, 'wechat_account_jsapi_debug', 'radio', '公众号js调试', 'wechat', '[{"name":"开启","value":1},{"name":"关闭","value":0}]', '是否开启微信公众号jsapi调试模式', 1, '0', 35, 1, '2022-03-28 08:15:02', '2022-03-28 11:49:57'),
(21, 'wechat_pay_token', 'text', '微信支付赁证', 'third_party', '', '请配置思智捷科技提供的微信支付调用赁证', 1, 'eyJkYXRhIjp7InVzZXJfaWQiOjMsImNJiaGhGSGEiLCJ1c2VyX3R5cGUiInBheV90eXBlIjoxfX0=vZGUiOiOjAs', 10, 1, '2022-03-29 02:35:59', '2022-03-28 16:55:14'),
(22, 'wechat_pay_domain', 'text', '微信支付域名', 'third_party', '', '请配置思智捷科技提供的微信支付调用的域名', 1, 'https://apis.sizhijie.com', 15, 1, '2022-03-28 08:58:24', '2022-03-28 16:56:53'),
(23, 'wechat_pay_callback', 'text', '支付回调地址', 'wechat', '', '请配置微信支付后回调通知地址', 1, 'http://test.enroll.sizhijie.com/oneshop/wechat/pay/callbck', 40, 1, '2022-03-28 09:15:09', '2022-03-28 17:03:31'),
(24, 'wechat_pay_key', 'text', '微信支付密钥', 'wechat', '', '请配置微信支付密钥', 1, '4f85c69db495f09529b69947adddb0ee', 45, 1, '2022-03-29 02:44:14', '2022-03-29 10:43:17');

-- --------------------------------------------------------

--
-- 表的结构 `szj_orders`
--

CREATE TABLE IF NOT EXISTS `szj_orders` (
  `order_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '订单ID',
  `order_sn` char(22) NOT NULL COMMENT '订单号',
  `order_status` tinyint(3) unsigned NOT NULL COMMENT '订单状态 0待付款 1 待发货 2待收货 3待评价 4已完成  6已关闭',
  `pay_sn` varchar(255) NOT NULL COMMENT '支付单号',
  `user_id` int(10) unsigned NOT NULL COMMENT '用户ID',
  `order_amount` float(10,2) unsigned NOT NULL COMMENT '实际支付总金额',
  `user_remarks` varchar(255) NOT NULL COMMENT '用户备注说明',
  `seller_remarks` varchar(255) NOT NULL COMMENT '卖家备注',
  `consignee` varchar(255) NOT NULL COMMENT '收货人姓名',
  `province_id` int(10) unsigned NOT NULL COMMENT '收货省份ID',
  `city_id` int(10) unsigned NOT NULL COMMENT '收货城市ID',
  `county_id` int(10) unsigned NOT NULL COMMENT '收货县/区ID',
  `address` varchar(255) NOT NULL COMMENT '详细地址',
  `mobile` varchar(255) NOT NULL COMMENT '收货人电话',
  `shipping_id` int(10) unsigned NOT NULL COMMENT '用户选择的配送方式',
  `pay_id` int(10) unsigned NOT NULL COMMENT '用户选择的支付方式',
  `shipping_fee` float(10,2) unsigned NOT NULL COMMENT '配送费用',
  `surplus_amout` float(10,2) unsigned NOT NULL COMMENT '余额使用金额',
  `activity_id` int(11) NOT NULL COMMENT '全局活动ID',
  `activity_name` varchar(255) NOT NULL COMMENT '活动名称',
  `activity_desc` varchar(255) NOT NULL COMMENT '全局活动名称',
  `is_urge` tinyint(3) unsigned NOT NULL COMMENT '是否催发货 及催发货次数',
  `is_express` tinyint(1) unsigned NOT NULL COMMENT '是否需要快递',
  `express_sn` varchar(255) NOT NULL COMMENT '快递单号',
  `express_id` int(10) unsigned NOT NULL COMMENT '快递公司ID',
  `deliver_desc` varchar(255) NOT NULL COMMENT '发货说明',
  `deliver_time` datetime NOT NULL COMMENT '发货时间',
  `query_time` datetime NOT NULL COMMENT '用户确认收货时间',
  `success_time` datetime NOT NULL COMMENT '交易完成时间',
  `create_time` datetime NOT NULL COMMENT '订单创建时间',
  PRIMARY KEY (`order_id`),
  KEY `user_id` (`user_id`),
  KEY `shipping_id` (`shipping_id`),
  KEY `pay_id` (`pay_id`),
  KEY `order_sn` (`order_sn`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='订单表' AUTO_INCREMENT=21 ;

--
-- 转存表中的数据 `szj_orders`
--

INSERT INTO `szj_orders` (`order_id`, `order_sn`, `order_status`, `pay_sn`, `user_id`, `order_amount`, `user_remarks`, `seller_remarks`, `consignee`, `province_id`, `city_id`, `county_id`, `address`, `mobile`, `shipping_id`, `pay_id`, `shipping_fee`, `surplus_amout`, `activity_id`, `activity_name`, `activity_desc`, `is_urge`, `is_express`, `express_sn`, `express_id`, `deliver_desc`, `deliver_time`, `query_time`, `success_time`, `create_time`) VALUES
(1, 'W20220326185442388300', 4, 'Y2022032618544201158', 1, 1194.00, '', '', '一个小哥', 440000, 441600, 441602, '广东省河源市源城区宝源学校公交车站', '15219840108', 0, 1, 0.00, 1194.00, 0, '', '', 1, 2, '', 0, '您买的商品已经发货,请保持联系电话畅通!', '2022-03-26 18:58:40', '2022-03-26 19:58:34', '2022-03-27 15:46:40', '2022-03-26 18:54:42'),
(2, 'W20220326194826633052', 4, 'Y2022032619482601458', 1, 8202.00, '', '', '一个小哥', 440000, 441600, 441602, '广东省河源市源城区宝源学校公交车站', '15219840108', 0, 1, 0.00, 8202.00, 0, '', '', 2, 2, '', 0, '订单已发货,请保持联系电话畅通', '2022-03-26 19:50:33', '2022-03-26 19:58:24', '2022-03-27 15:44:48', '2022-03-26 19:48:26'),
(3, 'W20220327162022356741', 4, 'Y2022032716202201572', 1, 5622.00, '', '', '一个小哥', 440000, 441600, 441602, '广东省河源市源城区宝源学校公交车站', '15219840108', 0, 1, 0.00, 5622.00, 0, '', '', 0, 2, '', 0, '已发货', '2022-03-27 19:02:54', '2022-03-27 19:03:06', '2022-03-27 19:04:34', '2022-03-27 16:20:22'),
(4, 'W20220327164943407064', 4, 'Y2022032716494301393', 1, 1194.00, '', '', '一个小哥', 440000, 441600, 441602, '广东省河源市源城区宝源学校公交车站', '15219840108', 0, 1, 0.00, 1194.00, 0, '', '', 0, 2, '', 0, '已发货,请保持联系电话畅通', '2022-03-27 16:51:20', '2022-03-27 16:51:44', '2022-03-27 16:53:49', '2022-03-27 16:49:43'),
(5, 'W20220327165558763224', 6, '', 1, 1598.00, '', '', '一个小哥', 440000, 441600, 441602, '广东省河源市源城区宝源学校公交车站', '15219840108', 0, 1, 0.00, 50.00, 0, '', '', 0, 0, '', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2022-03-27 16:55:58'),
(6, 'W20220327190139130299', 6, '', 1, 1194.00, '', '', '一个小哥', 440000, 441600, 441602, '广东省河源市源城区宝源学校公交车站', '15219840108', 0, 1, 0.00, 50.00, 0, '', '', 0, 0, '', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2022-03-27 19:01:39'),
(7, 'W20220327191130219379', 6, '', 1, 3594.00, '', '', '一个小哥', 440000, 441600, 441602, '广东省河源市源城区宝源学校公交车站', '15219840108', 0, 1, 0.00, 0.00, 0, '', '', 0, 0, '', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2022-03-27 19:11:30'),
(9, 'W20220327191744723029', 6, '', 1, 799.00, '', '', '一个小哥', 440000, 441600, 441602, '广东省河源市源城区宝源学校公交车站', '15219840108', 0, 1, 0.00, 0.00, 0, '', '', 0, 0, '', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2022-03-27 19:17:44'),
(10, 'W20220327191845258781', 6, '', 1, 1194.00, '', '', '一个小哥', 440000, 441600, 441602, '广东省河源市源城区宝源学校公交车站', '15219840108', 0, 1, 0.00, 0.00, 0, '', '', 0, 0, '', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2022-03-27 19:18:45'),
(11, 'W20220327202657633061', 6, '', 1, 1194.00, '', '', '一个小哥', 440000, 441600, 441602, '广东省河源市源城区宝源学校公交车站', '15219840108', 0, 1, 0.00, 0.00, 0, '', '', 0, 0, '', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2022-03-27 20:26:57'),
(12, 'W20220327202803123126', 2, 'Y2022032720280301855', 1, 1194.00, '', '', '一个小哥', 440000, 441600, 441602, '广东省河源市源城区宝源学校公交车站', '15219840108', 0, 1, 0.00, 1194.00, 0, '', '', 1, 2, '', 0, '订单已发货,请电话畅通', '2022-03-27 20:29:48', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2022-03-27 20:28:03'),
(13, 'W20220329105750596109', 0, '', 2, 1194.00, '', '', '罗勇', 440000, 441600, 441602, '广东省河源市源城区永福农贸中心市场三楼', '15219840108', 0, 1, 0.00, 10.00, 0, '', '', 0, 0, '', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2022-03-29 10:57:50'),
(14, 'W20220329110647161176', 0, '', 2, 1194.00, '', '', '罗勇', 440000, 441600, 441602, '广东省河源市源城区永福农贸中心市场三楼', '15219840108', 0, 1, 0.00, 0.00, 0, '', '', 0, 0, '', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2022-03-29 11:06:47'),
(15, 'W20220329110814138579', 0, '', 2, 1194.00, '', '', '罗勇', 440000, 441600, 441602, '广东省河源市源城区永福农贸中心市场三楼', '15219840108', 0, 1, 0.00, 0.00, 0, '', '', 0, 0, '', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2022-03-29 11:08:14'),
(16, 'W20220329111244202920', 0, '', 2, 1194.00, '', '', '罗勇', 440000, 441600, 441602, '广东省河源市源城区永福农贸中心市场三楼', '15219840108', 0, 1, 0.00, 0.00, 0, '', '', 0, 0, '', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2022-03-29 11:12:44'),
(17, 'W20220329111843291657', 0, '', 2, 1194.00, '', '', '罗勇', 440000, 441600, 441602, '广东省河源市源城区永福农贸中心市场三楼', '15219840108', 0, 1, 0.00, 0.00, 0, '', '', 0, 0, '', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2022-03-29 11:18:43'),
(18, 'W20220329112531761799', 0, '', 2, 0.10, '', '', '罗勇', 440000, 441600, 441602, '广东省河源市源城区永福农贸中心市场三楼', '15219840108', 0, 1, 0.00, 0.00, 0, '', '', 0, 0, '', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2022-03-29 11:25:31'),
(19, 'W20220329112605646837', 0, '', 2, 0.10, '', '', '罗勇', 440000, 441600, 441602, '广东省河源市源城区永福农贸中心市场三楼', '15219840108', 0, 1, 0.00, 0.00, 0, '', '', 0, 0, '', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2022-03-29 11:26:05'),
(20, 'W20220329113057244351', 0, '', 2, 0.10, '', '', '罗勇', 440000, 441600, 441602, '广东省河源市源城区永福农贸中心市场三楼', '15219840108', 0, 1, 0.00, 0.00, 0, '', '', 0, 0, '', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2022-03-29 11:30:57');

-- --------------------------------------------------------

--
-- 表的结构 `szj_orders_action`
--

CREATE TABLE IF NOT EXISTS `szj_orders_action` (
  `action_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '日志ID',
  `admin_id` int(10) unsigned NOT NULL COMMENT '管理员ID',
  `order_id` int(10) unsigned NOT NULL COMMENT '订单ID',
  `action_desc` varchar(255) NOT NULL COMMENT '操作描述',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`action_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='订单操作记录表' AUTO_INCREMENT=26 ;

--
-- 转存表中的数据 `szj_orders_action`
--

INSERT INTO `szj_orders_action` (`action_id`, `admin_id`, `order_id`, `action_desc`, `update_time`, `create_time`) VALUES
(1, 0, 1, '用户催发货', '2022-03-26 10:56:28', '2022-03-26 18:56:21'),
(2, 1, 1, '订单发货', '2022-03-26 10:58:47', '2022-03-26 18:58:40'),
(3, 0, 2, '用户催发货', '2022-03-26 11:49:59', '2022-03-26 19:49:53'),
(4, 0, 2, '用户催发货', '2022-03-26 11:50:05', '2022-03-26 19:49:59'),
(5, 1, 2, '订单发货', '2022-03-26 11:50:39', '2022-03-26 19:50:33'),
(6, 0, 2, '用户已收货', '2022-03-26 11:58:31', '2022-03-26 19:58:24'),
(7, 0, 1, '用户已收货', '2022-03-26 11:58:40', '2022-03-26 19:58:34'),
(8, 0, 2, '商品进行评价', '2022-03-27 07:30:40', '2022-03-27 15:30:34'),
(9, 0, 2, '商品进行评价', '2022-03-27 07:44:54', '2022-03-27 15:44:48'),
(10, 0, 1, '商品进行评价', '2022-03-27 07:46:46', '2022-03-27 15:46:40'),
(11, 1, 4, '订单发货', '2022-03-27 08:51:26', '2022-03-27 16:51:20'),
(12, 0, 4, '用户已收货', '2022-03-27 08:51:49', '2022-03-27 16:51:44'),
(13, 0, 4, '商品进行评价', '2022-03-27 08:53:55', '2022-03-27 16:53:49'),
(14, 0, 6, '用户取消订单', '2022-03-27 11:02:23', '2022-03-27 19:02:17'),
(15, 0, 5, '用户取消订单', '2022-03-27 11:02:29', '2022-03-27 19:02:23'),
(16, 1, 3, '订单发货', '2022-03-27 11:03:00', '2022-03-27 19:02:54'),
(17, 0, 3, '用户已收货', '2022-03-27 11:03:11', '2022-03-27 19:03:06'),
(18, 0, 3, '商品进行评价', '2022-03-27 11:03:47', '2022-03-27 19:03:41'),
(19, 0, 3, '商品进行评价', '2022-03-27 11:04:40', '2022-03-27 19:04:34'),
(20, 0, 7, '用户取消订单', '2022-03-27 11:16:43', '2022-03-27 19:16:37'),
(21, 0, 9, '用户取消订单', '2022-03-27 11:18:11', '2022-03-27 19:18:06'),
(22, 0, 10, '用户取消订单', '2022-03-27 11:19:17', '2022-03-27 19:19:11'),
(23, 0, 11, '用户取消订单', '2022-03-27 12:27:36', '2022-03-27 20:27:30'),
(24, 0, 12, '用户催发货', '2022-03-27 12:29:26', '2022-03-27 20:29:20'),
(25, 1, 12, '订单发货', '2022-03-27 12:29:54', '2022-03-27 20:29:48');

-- --------------------------------------------------------

--
-- 表的结构 `szj_orders_products`
--

CREATE TABLE IF NOT EXISTS `szj_orders_products` (
  `rec_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `order_id` int(10) unsigned NOT NULL COMMENT '订单ID',
  `product_id` int(10) unsigned NOT NULL COMMENT '商品ID',
  `product_name` varchar(255) NOT NULL COMMENT '商品名称',
  `product_image` varchar(255) NOT NULL COMMENT '商品图片',
  `product_count` int(10) unsigned NOT NULL COMMENT '商品数量',
  `shop_price` float(10,2) unsigned NOT NULL COMMENT '商品价格',
  `goods_type` tinyint(1) unsigned NOT NULL COMMENT '商品类型',
  `activity_id` int(10) unsigned NOT NULL COMMENT '活动ID',
  `activity_name` varchar(255) NOT NULL COMMENT '活动名称',
  `activity_desc` varchar(255) NOT NULL COMMENT '活动描述',
  `is_deliver` tinyint(1) unsigned NOT NULL COMMENT '是否已发货',
  `deliver_count` int(10) unsigned NOT NULL COMMENT '发货数量',
  `total_price` float(10,2) unsigned NOT NULL COMMENT '小计金额',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`rec_id`),
  KEY `order_id` (`order_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='订单商品表' AUTO_INCREMENT=23 ;

--
-- 转存表中的数据 `szj_orders_products`
--

INSERT INTO `szj_orders_products` (`rec_id`, `order_id`, `product_id`, `product_name`, `product_image`, `product_count`, `shop_price`, `goods_type`, `activity_id`, `activity_name`, `activity_desc`, `is_deliver`, `deliver_count`, `total_price`, `create_time`) VALUES
(1, 1, 6, '贵州茅台醇2008柔和酱香型白酒53度高度纯粮食酒酒水旗舰店500ml*6瓶整箱装', 'http://attachs.sizhijie.com/ycjj-oss/aea0e5e6a8a09d25c3c0dfb37013f33d2de47365.jpeg', 2, 1194.00, 1, 0, '', '', 1, 1, 1194.00, '2022-03-26 18:54:42'),
(2, 2, 5, '贵州茅台醇1998柔和酱香型白酒53度高度纯粮食酒水500ml*6瓶整箱装', 'http://attachs.sizhijie.com/ycjj-oss/ce4acb695a79c3bb148395c375babbc5d60fc635.jpeg', 1, 2214.00, 1, 0, '', '', 1, 1, 2214.00, '2022-03-26 19:48:26'),
(3, 2, 6, '贵州茅台醇2008柔和酱香型白酒53度高度纯粮食酒酒水旗舰店500ml*6瓶整箱装', 'http://attachs.sizhijie.com/ycjj-oss/aea0e5e6a8a09d25c3c0dfb37013f33d2de47365.jpeg', 1, 1194.00, 1, 0, '', '', 1, 1, 1194.00, '2022-03-26 19:48:26'),
(4, 2, 1, '茅台醇天青柔和酱香型白酒53度500ml*6瓶整箱装', 'http://attachs.sizhijie.com/ycjj-oss/3197e529c82e18d911510c974936e33e4dc27786.jpeg', 1, 4794.00, 1, 0, '', '', 1, 1, 4794.00, '2022-03-26 19:48:26'),
(5, 3, 5, '贵州茅台醇1998柔和酱香型白酒53度高度纯粮食酒水500ml*6瓶整箱装', 'http://attachs.sizhijie.com/ycjj-oss/ce4acb695a79c3bb148395c375babbc5d60fc635.jpeg', 2, 2214.00, 1, 0, '', '', 1, 2, 4428.00, '2022-03-27 16:20:22'),
(6, 3, 6, '贵州茅台醇2008柔和酱香型白酒53度高度纯粮食酒酒水旗舰店500ml*6瓶整箱装', 'http://attachs.sizhijie.com/ycjj-oss/aea0e5e6a8a09d25c3c0dfb37013f33d2de47365.jpeg', 1, 1194.00, 1, 0, '', '', 1, 1, 1194.00, '2022-03-27 16:20:22'),
(7, 4, 6, '贵州茅台醇2008柔和酱香型白酒53度高度纯粮食酒酒水旗舰店500ml*6瓶整箱装', 'http://attachs.sizhijie.com/ycjj-oss/aea0e5e6a8a09d25c3c0dfb37013f33d2de47365.jpeg', 1, 1194.00, 1, 0, '', '', 1, 1, 1194.00, '2022-03-27 16:49:43'),
(8, 5, 2, '茅台醇天青柔和酱香型白酒53度500ml*2瓶礼盒装', 'http://attachs.sizhijie.com/ycjj-oss/202bded37a52b30a0c92602647e943f71bd94f24.jpeg', 1, 1598.00, 1, 0, '', '', 0, 0, 1598.00, '2022-03-27 16:55:58'),
(9, 6, 6, '贵州茅台醇2008柔和酱香型白酒53度高度纯粮食酒酒水旗舰店500ml*6瓶整箱装', 'http://attachs.sizhijie.com/ycjj-oss/aea0e5e6a8a09d25c3c0dfb37013f33d2de47365.jpeg', 1, 1194.00, 1, 0, '', '', 0, 0, 1194.00, '2022-03-27 19:01:39'),
(10, 7, 4, '贵州茅台醇1992柔和酱香型白酒53度纯粮食酒高度酒水珍珠白瓶装礼盒500ml*6瓶整箱装', 'http://attachs.sizhijie.com/ycjj-oss/793f2ace3552bdd16f724c0a0c6d1ced1e8dd2be.jpeg', 1, 3594.00, 1, 0, '', '', 0, 0, 3594.00, '2022-03-27 19:11:30'),
(11, 9, 3, '茅台醇天青柔和酱香型白酒53度500ml单瓶礼盒装', 'http://attachs.sizhijie.com/ycjj-oss/f4823e8c50cef6739548a0e0c795612201834bd8.jpeg', 1, 799.00, 1, 0, '', '', 0, 0, 799.00, '2022-03-27 19:17:44'),
(12, 10, 6, '贵州茅台醇2008柔和酱香型白酒53度高度纯粮食酒酒水旗舰店500ml*6瓶整箱装', 'http://attachs.sizhijie.com/ycjj-oss/aea0e5e6a8a09d25c3c0dfb37013f33d2de47365.jpeg', 1, 1194.00, 1, 0, '', '', 0, 0, 1194.00, '2022-03-27 19:18:45'),
(13, 11, 6, '贵州茅台醇2008柔和酱香型白酒53度高度纯粮食酒酒水旗舰店500ml*6瓶整箱装', 'http://attachs.sizhijie.com/ycjj-oss/aea0e5e6a8a09d25c3c0dfb37013f33d2de47365.jpeg', 1, 1194.00, 1, 0, '', '', 0, 0, 1194.00, '2022-03-27 20:26:57'),
(14, 12, 6, '贵州茅台醇2008柔和酱香型白酒53度高度纯粮食酒酒水旗舰店500ml*6瓶整箱装', 'http://attachs.sizhijie.com/ycjj-oss/aea0e5e6a8a09d25c3c0dfb37013f33d2de47365.jpeg', 1, 1194.00, 1, 0, '', '', 1, 1, 1194.00, '2022-03-27 20:28:03'),
(15, 13, 6, '贵州茅台醇2008柔和酱香型白酒53度高度纯粮食酒酒水旗舰店500ml*6瓶整箱装', 'http://attachs.sizhijie.com/ycjj-oss/aea0e5e6a8a09d25c3c0dfb37013f33d2de47365.jpeg', 1, 1194.00, 1, 0, '', '', 0, 0, 1194.00, '2022-03-29 10:57:50'),
(16, 14, 6, '贵州茅台醇2008柔和酱香型白酒53度高度纯粮食酒酒水旗舰店500ml*6瓶整箱装', 'http://attachs.sizhijie.com/ycjj-oss/aea0e5e6a8a09d25c3c0dfb37013f33d2de47365.jpeg', 1, 1194.00, 1, 0, '', '', 0, 0, 1194.00, '2022-03-29 11:06:47'),
(17, 15, 6, '贵州茅台醇2008柔和酱香型白酒53度高度纯粮食酒酒水旗舰店500ml*6瓶整箱装', 'http://attachs.sizhijie.com/ycjj-oss/aea0e5e6a8a09d25c3c0dfb37013f33d2de47365.jpeg', 1, 1194.00, 1, 0, '', '', 0, 0, 1194.00, '2022-03-29 11:08:14'),
(18, 16, 6, '贵州茅台醇2008柔和酱香型白酒53度高度纯粮食酒酒水旗舰店500ml*6瓶整箱装', 'http://attachs.sizhijie.com/ycjj-oss/aea0e5e6a8a09d25c3c0dfb37013f33d2de47365.jpeg', 1, 1194.00, 1, 0, '', '', 0, 0, 1194.00, '2022-03-29 11:12:44'),
(19, 17, 6, '贵州茅台醇2008柔和酱香型白酒53度高度纯粮食酒酒水旗舰店500ml*6瓶整箱装', 'http://attachs.sizhijie.com/ycjj-oss/aea0e5e6a8a09d25c3c0dfb37013f33d2de47365.jpeg', 1, 1194.00, 1, 0, '', '', 0, 0, 1194.00, '2022-03-29 11:18:43'),
(20, 18, 6, '贵州茅台醇2008柔和酱香型白酒53度高度纯粮食酒酒水旗舰店500ml*6瓶整箱装', 'http://attachs.sizhijie.com/ycjj-oss/aea0e5e6a8a09d25c3c0dfb37013f33d2de47365.jpeg', 1, 0.10, 1, 0, '', '', 0, 0, 0.10, '2022-03-29 11:25:31'),
(21, 19, 6, '贵州茅台醇2008柔和酱香型白酒53度高度纯粮食酒酒水旗舰店500ml*6瓶整箱装', 'http://attachs.sizhijie.com/ycjj-oss/aea0e5e6a8a09d25c3c0dfb37013f33d2de47365.jpeg', 1, 0.10, 1, 0, '', '', 0, 0, 0.10, '2022-03-29 11:26:05'),
(22, 20, 6, '贵州茅台醇2008柔和酱香型白酒53度高度纯粮食酒酒水旗舰店500ml*6瓶整箱装', 'http://attachs.sizhijie.com/ycjj-oss/aea0e5e6a8a09d25c3c0dfb37013f33d2de47365.jpeg', 1, 0.10, 1, 0, '', '', 0, 0, 0.10, '2022-03-29 11:30:57');

-- --------------------------------------------------------

--
-- 表的结构 `szj_payments`
--

CREATE TABLE IF NOT EXISTS `szj_payments` (
  `payment_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `user_id` int(10) unsigned NOT NULL COMMENT '用户ID',
  `pay_id` int(10) unsigned NOT NULL COMMENT '支付方式',
  `out_trade_no` varchar(30) NOT NULL COMMENT '商户单号',
  `total_fee` int(10) unsigned NOT NULL COMMENT '交易总金额 分',
  `trade_type` varchar(100) NOT NULL COMMENT '交易类型',
  `transaction_id` varchar(255) NOT NULL COMMENT '微信单号',
  `time_end` varchar(100) NOT NULL COMMENT '交易完成时间',
  `openid` varchar(100) NOT NULL COMMENT '用户openid',
  `sub_is_subscribe` varchar(10) NOT NULL COMMENT '是否关注子商户',
  `sub_openid` varchar(100) NOT NULL COMMENT '子商户用户openid',
  `is_subscribe` varchar(10) NOT NULL COMMENT '是否关注商户',
  `fee_type` varchar(100) NOT NULL COMMENT '货币类型',
  `bank_type` varchar(100) NOT NULL COMMENT '银行卡类型',
  `cash_fee` int(10) unsigned NOT NULL COMMENT '现金支付金额 分',
  `is_refund` tinyint(1) unsigned NOT NULL COMMENT '是否退款',
  `refund_trade_no` varchar(100) NOT NULL COMMENT '退款单号',
  `refund_desc` varchar(255) NOT NULL COMMENT '退款描述',
  `refund_time` datetime NOT NULL COMMENT '退款时间',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '写入时间',
  PRIMARY KEY (`payment_id`),
  KEY `out_trade_no` (`out_trade_no`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='支付和退费记录表' AUTO_INCREMENT=6 ;

--
-- 转存表中的数据 `szj_payments`
--

INSERT INTO `szj_payments` (`payment_id`, `user_id`, `pay_id`, `out_trade_no`, `total_fee`, `trade_type`, `transaction_id`, `time_end`, `openid`, `sub_is_subscribe`, `sub_openid`, `is_subscribe`, `fee_type`, `bank_type`, `cash_fee`, `is_refund`, `refund_trade_no`, `refund_desc`, `refund_time`, `create_time`) VALUES
(1, 1, 0, 'Y2022032618544201158', 119400, '余额支付', '', '20220326185442', 'oSF4duIAfTLdEMukzNOpYPAuJxEo', '', '', '', '余额', '商城余额', 119400, 0, '', '', '0000-00-00 00:00:00', '2022-03-26 10:54:42'),
(2, 1, 0, 'Y2022032619482601458', 820200, '余额支付', '', '20220326194826', 'oSF4duIAfTLdEMukzNOpYPAuJxEo', '', '', '', '余额', '商城余额', 820200, 0, '', '', '0000-00-00 00:00:00', '2022-03-26 11:48:26'),
(3, 1, 0, 'Y2022032716202201572', 562200, '余额支付', '', '20220327162022', 'oSF4duIAfTLdEMukzNOpYPAuJxEo', '', '', '', '余额', '商城余额', 562200, 0, '', '', '0000-00-00 00:00:00', '2022-03-27 08:20:22'),
(4, 1, 0, 'Y2022032716494301393', 119400, '余额支付', '', '20220327164943', 'oSF4duIAfTLdEMukzNOpYPAuJxEo', '', '', '', '余额', '商城余额', 119400, 0, '', '', '0000-00-00 00:00:00', '2022-03-27 08:49:43'),
(5, 1, 0, 'Y2022032720280301855', 119400, '余额支付', '', '20220327202803', 'oSF4duIAfTLdEMukzNOpYPAuJxEo', '', '', '', '余额', '商城余额', 119400, 0, '', '', '0000-00-00 00:00:00', '2022-03-27 12:28:03');

-- --------------------------------------------------------

--
-- 表的结构 `szj_pays_config`
--

CREATE TABLE IF NOT EXISTS `szj_pays_config` (
  `pay_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '支付ID',
  `pay_name` varchar(255) NOT NULL COMMENT '支付名称',
  `pay_logo` varchar(255) NOT NULL COMMENT '支付logo',
  `pay_params_index` varchar(255) NOT NULL COMMENT '支付参数索引 关联配置表里面的索引',
  `pay_status` tinyint(1) unsigned NOT NULL COMMENT '是否启用',
  `pay_sort` tinyint(1) unsigned NOT NULL COMMENT '排序序号',
  `is_default` tinyint(1) unsigned NOT NULL COMMENT '是否默认',
  `admin_id` int(10) unsigned NOT NULL COMMENT '管理员ID',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`pay_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='支付配置表' AUTO_INCREMENT=3 ;

--
-- 转存表中的数据 `szj_pays_config`
--

INSERT INTO `szj_pays_config` (`pay_id`, `pay_name`, `pay_logo`, `pay_params_index`, `pay_status`, `pay_sort`, `is_default`, `admin_id`, `update_time`, `create_time`) VALUES
(1, '微信支付', 'https://pic38.photophoto.cn/20160325/0007019842511399_b.jpg', '', 1, 99, 1, 1, '2022-03-27 08:49:31', '2022-02-19 11:47:52'),
(2, '找人代付', 'https://pic38.photophoto.cn/20160325/0007019842511399_b.jpg', '', 0, 99, 0, 1, '2022-03-27 08:49:26', '2022-02-19 11:48:21');

-- --------------------------------------------------------

--
-- 表的结构 `szj_products`
--

CREATE TABLE IF NOT EXISTS `szj_products` (
  `product_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '产品ID',
  `product_name` varchar(255) NOT NULL COMMENT '产品名称',
  `product_desction` varchar(255) NOT NULL COMMENT '产品简单描述',
  `product_stock` int(10) unsigned NOT NULL COMMENT '产品库存',
  `product_image` varchar(255) NOT NULL COMMENT '产品封面图',
  `market_price` float(10,2) unsigned NOT NULL COMMENT '市场价',
  `cost_price` float(10,2) unsigned NOT NULL COMMENT '成本价',
  `shop_price` float(10,2) unsigned NOT NULL COMMENT '商詀销售价 如果有活动,活动价优化优先',
  `activity_id` int(10) unsigned NOT NULL COMMENT '活动ID',
  `carousel_id` int(10) unsigned NOT NULL COMMENT '产品相册集',
  `category_id` int(10) unsigned NOT NULL COMMENT '产品分类',
  `product_sn` char(20) NOT NULL COMMENT '产品货号',
  `supplier_id` int(10) unsigned NOT NULL COMMENT '供货商ID',
  `is_sale` tinyint(1) unsigned NOT NULL COMMENT '是否在销售中',
  `alert_stock` int(10) unsigned NOT NULL COMMENT '库存告警数',
  `goods_type` tinyint(1) unsigned NOT NULL COMMENT '货物类型 1实物 2虚拟产品 3配件',
  `sale_count` int(10) unsigned NOT NULL COMMENT '销售数量',
  `is_new` tinyint(1) unsigned NOT NULL COMMENT '是否新品',
  `is_home` tinyint(1) unsigned NOT NULL COMMENT '首页展示',
  `is_hot` tinyint(1) unsigned NOT NULL COMMENT '是否热销',
  `content_id` int(10) unsigned NOT NULL COMMENT '产品内容详情ID',
  `admin_id` int(10) unsigned NOT NULL COMMENT '操作人',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`product_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='产品表' AUTO_INCREMENT=7 ;

--
-- 转存表中的数据 `szj_products`
--

INSERT INTO `szj_products` (`product_id`, `product_name`, `product_desction`, `product_stock`, `product_image`, `market_price`, `cost_price`, `shop_price`, `activity_id`, `carousel_id`, `category_id`, `product_sn`, `supplier_id`, `is_sale`, `alert_stock`, `goods_type`, `sale_count`, `is_new`, `is_home`, `is_hot`, `content_id`, `admin_id`, `update_time`, `create_time`) VALUES
(1, '茅台醇天青柔和酱香型白酒53度500ml*6瓶整箱装', '', 99, 'http://attachs.sizhijie.com/ycjj-oss/3197e529c82e18d911510c974936e33e4dc27786.jpeg', 11985.00, 0.00, 4794.00, 0, 1, 1, '20220216161925-87878', 0, 1, 10, 1, 0, 0, 1, 0, 1, 1, '2022-03-09 08:28:52', '2022-02-16 16:19:25'),
(2, '茅台醇天青柔和酱香型白酒53度500ml*2瓶礼盒装', '', 99, 'http://attachs.sizhijie.com/ycjj-oss/202bded37a52b30a0c92602647e943f71bd94f24.jpeg', 3995.00, 0.00, 1598.00, 0, 2, 2, '20220216162337-97259', 0, 1, 10, 1, 0, 0, 1, 0, 2, 1, '2022-03-09 08:28:45', '2022-02-16 16:23:37'),
(3, '茅台醇天青柔和酱香型白酒53度500ml单瓶礼盒装', '', 99, 'http://attachs.sizhijie.com/ycjj-oss/f4823e8c50cef6739548a0e0c795612201834bd8.jpeg', 1997.50, 0.00, 799.00, 0, 3, 3, '20220216162636-65523', 0, 1, 10, 1, 0, 1, 1, 0, 3, 1, '2022-03-09 08:28:40', '2022-02-16 16:26:35'),
(4, '贵州茅台醇1992柔和酱香型白酒53度纯粮食酒高度酒水珍珠白瓶装礼盒500ml*6瓶整箱装', '', 99, 'http://attachs.sizhijie.com/ycjj-oss/793f2ace3552bdd16f724c0a0c6d1ced1e8dd2be.jpeg', 8985.00, 0.00, 3594.00, 0, 4, 1, '20220216163202-57989', 0, 1, 10, 1, 0, 0, 1, 0, 4, 1, '2022-03-09 08:28:28', '2022-02-16 16:32:02'),
(5, '贵州茅台醇1998柔和酱香型白酒53度高度纯粮食酒水500ml*6瓶整箱装', '', 99, 'http://attachs.sizhijie.com/ycjj-oss/ce4acb695a79c3bb148395c375babbc5d60fc635.jpeg', 5535.00, 0.00, 2214.00, 0, 5, 1, '20220216164354-13148', 0, 1, 0, 1, 0, 0, 1, 1, 5, 1, '2022-03-09 08:28:34', '2022-02-16 16:43:53'),
(6, '贵州茅台醇2008柔和酱香型白酒53度高度纯粮食酒酒水旗舰店500ml*6瓶整箱装', '', 99, 'http://attachs.sizhijie.com/ycjj-oss/aea0e5e6a8a09d25c3c0dfb37013f33d2de47365.jpeg', 2985.00, 0.00, 0.10, 0, 6, 1, '20220216164806-84900', 4, 1, 10, 1, 10, 1, 1, 0, 6, 1, '2022-03-29 03:23:53', '2022-02-16 16:48:06');

-- --------------------------------------------------------

--
-- 表的结构 `szj_product_brands`
--

CREATE TABLE IF NOT EXISTS `szj_product_brands` (
  `brand_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '产品品牌表',
  `brand_name` varchar(255) NOT NULL,
  `brand_logo` varchar(255) NOT NULL COMMENT '品牌logo',
  `admin_id` int(10) unsigned NOT NULL COMMENT '操作人',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`brand_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='品牌表' AUTO_INCREMENT=3 ;

--
-- 转存表中的数据 `szj_product_brands`
--

INSERT INTO `szj_product_brands` (`brand_id`, `brand_name`, `brand_logo`, `admin_id`, `update_time`, `create_time`) VALUES
(2, '茅台淳', 'http://attachs.sizhijie.com/szjkj-common-oss/9a40418e50e8d5dc2ec55c60e24d3d646d768664.png', 1, '2022-02-09 08:34:05', '2022-02-09 16:26:47');

-- --------------------------------------------------------

--
-- 表的结构 `szj_product_carousels`
--

CREATE TABLE IF NOT EXISTS `szj_product_carousels` (
  `carousel_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '相册ID',
  `content` text NOT NULL COMMENT '相册内容',
  `admin_id` int(10) unsigned NOT NULL COMMENT '操作人',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`carousel_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='产品相册表' AUTO_INCREMENT=7 ;

--
-- 转存表中的数据 `szj_product_carousels`
--

INSERT INTO `szj_product_carousels` (`carousel_id`, `content`, `admin_id`, `update_time`, `create_time`) VALUES
(1, 'http://attachs.sizhijie.com/ycjj-oss/94134786bd665861f5f3fc286f8f64f8449d9518.jpg,http://attachs.sizhijie.com/ycjj-oss/21468249089150cb7af9732c846650d1b4db4390.jpg,http://attachs.sizhijie.com/ycjj-oss/34a98d5f4d22edc0425f136e488bd2ee15233e48.jpg,http://attachs.sizhijie.com/ycjj-oss/3cbe3175336a5a9eef5853d360b1d8c19b748a0a.jpg,http://attachs.sizhijie.com/ycjj-oss/a1893e63f3010a6ce652ee9abc639d9466c859c4.jpg,http://attachs.sizhijie.com/ycjj-oss/f62dee61e21e4ef51671ddd880f088bb1741f898.jpg', 1, '2022-02-16 08:22:48', '2022-02-16 16:19:25'),
(2, 'http://attachs.sizhijie.com/ycjj-oss/202bded37a52b30a0c92602647e943f71bd94f24.jpeg,http://attachs.sizhijie.com/ycjj-oss/34a98d5f4d22edc0425f136e488bd2ee15233e48.jpg,http://attachs.sizhijie.com/ycjj-oss/3cbe3175336a5a9eef5853d360b1d8c19b748a0a.jpg,http://attachs.sizhijie.com/ycjj-oss/21468249089150cb7af9732c846650d1b4db4390.jpg,http://attachs.sizhijie.com/ycjj-oss/a1893e63f3010a6ce652ee9abc639d9466c859c4.jpg,http://attachs.sizhijie.com/ycjj-oss/f62dee61e21e4ef51671ddd880f088bb1741f898.jpg', 1, '2022-02-16 08:27:01', '2022-02-16 16:23:37'),
(3, 'http://attachs.sizhijie.com/ycjj-oss/d7dd24a267c65789fe6c73eee847f301cc44e810.jpg,http://attachs.sizhijie.com/ycjj-oss/21468249089150cb7af9732c846650d1b4db4390.jpg,http://attachs.sizhijie.com/ycjj-oss/34a98d5f4d22edc0425f136e488bd2ee15233e48.jpg,http://attachs.sizhijie.com/ycjj-oss/a1893e63f3010a6ce652ee9abc639d9466c859c4.jpg,http://attachs.sizhijie.com/ycjj-oss/3cbe3175336a5a9eef5853d360b1d8c19b748a0a.jpg,http://attachs.sizhijie.com/ycjj-oss/f62dee61e21e4ef51671ddd880f088bb1741f898.jpg', 1, '2022-02-16 08:29:59', '2022-02-16 16:26:35'),
(4, 'http://attachs.sizhijie.com/ycjj-oss/6f01a82b76e00255e2f4d3f0103d624d5b848b4d.jpg,http://attachs.sizhijie.com/ycjj-oss/ffeb39b631bf5107bcbbd823a95f807edaf90650.jpg,http://attachs.sizhijie.com/ycjj-oss/3607236c92c958858074254d8d0ca89c84fdc86a.jpg,http://attachs.sizhijie.com/ycjj-oss/ac65bc91c9603467e1ab0dab0098b7456fdf52d7.jpg,http://attachs.sizhijie.com/ycjj-oss/14944de0d272afcbdadf1df11a83add3e21af66a.jpg,http://attachs.sizhijie.com/ycjj-oss/4b8edff24ede7758cf708c2a3f1775dfa4a79473.jpg', 1, '2022-02-16 08:35:26', '2022-02-16 16:32:02'),
(5, 'http://attachs.sizhijie.com/ycjj-oss/edd8720897c61735d1c2a8f803cf91637c1ccba3.jpg,http://attachs.sizhijie.com/ycjj-oss/555d8c6d613e9356e5c861cdc3482d4a28a71795.jpg,http://attachs.sizhijie.com/ycjj-oss/f671ba9fc88ca4f25a3b099556119afda28c669b.jpg,http://attachs.sizhijie.com/ycjj-oss/1030a5b8c3676dcd229a25b1a1f029e661ce4de4.jpg,http://attachs.sizhijie.com/ycjj-oss/b9589f6deb871b96ea50ac23a335a877ce4d2910.jpg,http://attachs.sizhijie.com/ycjj-oss/374d2aa3d031210ab028be10f59486de5cbe21ae.jpg', 1, '2022-02-16 08:47:17', '2022-02-16 16:43:53'),
(6, 'http://attachs.sizhijie.com/ycjj-oss/56922c6ddccbe92b82c518b3bb5a33676a9eca3d.jpg,http://attachs.sizhijie.com/ycjj-oss/64bdb612569aeec035a2181a894b7ffe039a1fbe.jpg,http://attachs.sizhijie.com/ycjj-oss/c6a658fa3af88528aaefeb8abf18ee51671d9f42.jpg,http://attachs.sizhijie.com/ycjj-oss/7ae4663c0bed0006aeb322ba9b961c12456b1689.jpg,http://attachs.sizhijie.com/ycjj-oss/cea8b97cceac550be46fa3a67282581513f96bac.jpg,http://attachs.sizhijie.com/ycjj-oss/2ca0dff0e0c82318cc7c1da6f44e3597359a0012.jpg', 1, '2022-03-29 03:23:53', '2022-02-16 16:48:06');

-- --------------------------------------------------------

--
-- 表的结构 `szj_product_category`
--

CREATE TABLE IF NOT EXISTS `szj_product_category` (
  `category_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '分类ID',
  `category_name` varchar(255) NOT NULL COMMENT '分类名称',
  `pid` int(10) unsigned NOT NULL COMMENT '上级ID',
  `category_image` varchar(255) NOT NULL COMMENT '分类图片',
  `category_sort` int(10) unsigned NOT NULL COMMENT '分类排序',
  `is_show` tinyint(1) unsigned NOT NULL COMMENT '是否显示',
  `is_nav` tinyint(1) unsigned NOT NULL COMMENT '是否设为导航',
  `category_attrs` text NOT NULL COMMENT '分类属性',
  `admin_id` int(10) unsigned NOT NULL COMMENT '操作人员',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`category_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='产品分类表' AUTO_INCREMENT=7 ;

--
-- 转存表中的数据 `szj_product_category`
--

INSERT INTO `szj_product_category` (`category_id`, `category_name`, `pid`, `category_image`, `category_sort`, `is_show`, `is_nav`, `category_attrs`, `admin_id`, `update_time`, `create_time`) VALUES
(1, '整箱', 0, '', 99, 1, 0, '[{"item_id":7,"is_filter":false,"type_id":1},{"item_id":6,"is_filter":false,"type_id":1},{"item_id":5,"is_filter":false,"type_id":1},{"item_id":4,"is_filter":false,"type_id":1},{"item_id":3,"is_filter":false,"type_id":1},{"item_id":2,"is_filter":false,"type_id":1},{"item_id":1,"is_filter":false,"type_id":1}]', 1, '2022-02-16 08:08:11', '2022-02-16 15:48:46'),
(2, '两瓶', 0, '', 99, 1, 0, '[{"item_id":7,"is_filter":false,"type_id":1},{"item_id":6,"is_filter":false,"type_id":1},{"item_id":5,"is_filter":false,"type_id":1},{"item_id":4,"is_filter":false,"type_id":1},{"item_id":3,"is_filter":false,"type_id":1},{"item_id":2,"is_filter":false,"type_id":1},{"item_id":1,"is_filter":false,"type_id":1}]', 1, '2022-02-16 08:07:38', '2022-02-16 15:49:02'),
(3, '单瓶', 0, '', 99, 1, 0, '[{"item_id":7,"is_filter":false,"type_id":1},{"item_id":6,"is_filter":false,"type_id":1},{"item_id":5,"is_filter":false,"type_id":1},{"item_id":4,"is_filter":false,"type_id":1},{"item_id":3,"is_filter":false,"type_id":1},{"item_id":2,"is_filter":false,"type_id":1},{"item_id":1,"is_filter":false,"type_id":1}]', 1, '2022-02-16 08:07:00', '2022-02-16 15:49:18'),
(4, '1992', 0, 'https://imge.tianfuture.com/1407/image/2021/02/5428c0b8251cd6372f88e11f938ec5b0.jpg?imageMogr2/auto-orient/thumbnail/2000x/format/jpg/blur/2x0/quality/95|imageslim', 99, 1, 0, '[{"item_id":7,"is_filter":false,"type_id":1},{"item_id":6,"is_filter":false,"type_id":1},{"item_id":5,"is_filter":false,"type_id":1},{"item_id":4,"is_filter":false,"type_id":1},{"item_id":3,"is_filter":false,"type_id":1},{"item_id":2,"is_filter":false,"type_id":1},{"item_id":1,"is_filter":false,"type_id":1}]', 1, '2022-02-16 08:06:23', '2022-02-16 15:49:34'),
(5, '1998', 0, '', 99, 1, 0, '[{"item_id":7,"is_filter":false,"type_id":1},{"item_id":6,"is_filter":false,"type_id":1},{"item_id":5,"is_filter":false,"type_id":1},{"item_id":4,"is_filter":false,"type_id":1},{"item_id":3,"is_filter":false,"type_id":1},{"item_id":2,"is_filter":false,"type_id":1},{"item_id":1,"is_filter":false,"type_id":1}]', 1, '2022-02-16 08:05:29', '2022-02-16 15:49:50'),
(6, '2008', 0, '', 99, 1, 0, '[{"item_id":7,"is_filter":false,"type_id":1},{"item_id":6,"is_filter":false,"type_id":1},{"item_id":5,"is_filter":false,"type_id":1},{"item_id":4,"is_filter":false,"type_id":1},{"item_id":3,"is_filter":false,"type_id":1},{"item_id":2,"is_filter":false,"type_id":1},{"item_id":1,"is_filter":false,"type_id":1}]', 1, '2022-02-16 08:05:49', '2022-02-16 15:50:28');

-- --------------------------------------------------------

--
-- 表的结构 `szj_product_comment`
--

CREATE TABLE IF NOT EXISTS `szj_product_comment` (
  `comment_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '评论ID',
  `product_rate` tinyint(1) unsigned NOT NULL COMMENT '商品评分',
  `order_id` int(10) unsigned NOT NULL COMMENT '订单ID',
  `product_id` int(10) unsigned NOT NULL COMMENT '商品ID',
  `comment` varchar(255) NOT NULL COMMENT '评论内容',
  `user_id` int(10) unsigned NOT NULL COMMENT '用户ID',
  `status` tinyint(1) unsigned NOT NULL COMMENT '评论状态 0未审核 1审核通过 2不显示',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`comment_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='商品评论表' AUTO_INCREMENT=8 ;

--
-- 转存表中的数据 `szj_product_comment`
--

INSERT INTO `szj_product_comment` (`comment_id`, `product_rate`, `order_id`, `product_id`, `comment`, `user_id`, `status`, `update_time`, `create_time`) VALUES
(1, 3, 2, 5, '商品不错,值得推荐', 1, 1, '2022-03-27 09:57:26', '2022-03-27 11:53:38'),
(2, 5, 2, 6, '商品不错,值得推荐', 1, 1, '2022-03-27 09:51:59', '2022-03-27 15:30:33'),
(3, 5, 2, 1, '性价比很高,您值得拥有', 1, 1, '2022-03-27 09:57:29', '2022-03-27 15:44:48'),
(4, 5, 1, 6, '商品很好,值得推荐', 1, 1, '2022-03-27 09:57:32', '2022-03-27 15:46:40'),
(5, 4, 4, 6, '商品很好,下次还继续买', 1, 1, '2022-03-27 09:52:03', '2022-03-27 16:53:48'),
(6, 5, 3, 6, '商品不错,值得推荐,下次还莱购买', 1, 0, '2022-03-27 11:03:47', '2022-03-27 19:03:41'),
(7, 5, 3, 5, '酒质量不错,喝了不上头,口感很好', 1, 0, '2022-03-27 11:04:40', '2022-03-27 19:04:34');

-- --------------------------------------------------------

--
-- 表的结构 `szj_product_contents`
--

CREATE TABLE IF NOT EXISTS `szj_product_contents` (
  `content_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '内容ID',
  `desction` text NOT NULL COMMENT '详情',
  `admin_id` int(10) unsigned NOT NULL COMMENT '操作人',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='产品内容详情介绍表' AUTO_INCREMENT=7 ;

--
-- 转存表中的数据 `szj_product_contents`
--

INSERT INTO `szj_product_contents` (`content_id`, `desction`, `admin_id`, `update_time`, `create_time`) VALUES
(1, '<p>    <img src="https://imge.tianfuture.com/1407/image/2021/02/ecdfe97e6131d8ed0b7fd71e6c273a39.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/430a08e2d3f4c5aaa0a2054f70a26c87.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/e9ff0acdd29c8a76eba15a9ee3d1799d.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/e73c460defee876617e3be95410031e4.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/45ce460883d49dbb86b54120681cf574.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/b4fe42f01cd69243f58cd02a45d2b559.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/6e9e8ca036c9debca84a3fbfed472ea8.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/fe9f2d0e182c56c3b14a5ee8358341fe.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/dbe772f82b6f384743fe22bec716141c.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/561775beff0a2debc1ec6eac11d84899.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/0808f8b71f0a53d63081d5de7d83f917.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/bd9fcd82093545429e1a4a3a153b5380.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/9c82b83a89cf4f719c824dceab1ed987.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/1319acbd095c5a20c36c5d1107f5c795.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/05/7e2b6190abe71010c5eab5b670b58c4b.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/0825a673a4626a183d2382f30b7bba6c.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/0ff1be44c10b6c8258f690fe73059e58.jpg"/></p>', 1, '2022-02-16 08:22:49', '2022-02-16 16:19:25'),
(2, '<p>    <img src="https://imge.tianfuture.com/1407/image/2021/02/ecdfe97e6131d8ed0b7fd71e6c273a39.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/430a08e2d3f4c5aaa0a2054f70a26c87.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/e9ff0acdd29c8a76eba15a9ee3d1799d.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/e73c460defee876617e3be95410031e4.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/45ce460883d49dbb86b54120681cf574.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/b4fe42f01cd69243f58cd02a45d2b559.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/6e9e8ca036c9debca84a3fbfed472ea8.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/fe9f2d0e182c56c3b14a5ee8358341fe.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/dbe772f82b6f384743fe22bec716141c.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/561775beff0a2debc1ec6eac11d84899.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/0808f8b71f0a53d63081d5de7d83f917.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/bd9fcd82093545429e1a4a3a153b5380.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/9c82b83a89cf4f719c824dceab1ed987.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/1319acbd095c5a20c36c5d1107f5c795.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/05/7e2b6190abe71010c5eab5b670b58c4b.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/0825a673a4626a183d2382f30b7bba6c.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/0ff1be44c10b6c8258f690fe73059e58.jpg"/></p>', 1, '2022-02-16 08:27:01', '2022-02-16 16:23:37'),
(3, '<p>    <img src="https://imge.tianfuture.com/1407/image/2021/02/ecdfe97e6131d8ed0b7fd71e6c273a39.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/430a08e2d3f4c5aaa0a2054f70a26c87.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/e9ff0acdd29c8a76eba15a9ee3d1799d.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/e73c460defee876617e3be95410031e4.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/45ce460883d49dbb86b54120681cf574.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/b4fe42f01cd69243f58cd02a45d2b559.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/6e9e8ca036c9debca84a3fbfed472ea8.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/fe9f2d0e182c56c3b14a5ee8358341fe.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/dbe772f82b6f384743fe22bec716141c.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/561775beff0a2debc1ec6eac11d84899.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/0808f8b71f0a53d63081d5de7d83f917.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/bd9fcd82093545429e1a4a3a153b5380.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/9c82b83a89cf4f719c824dceab1ed987.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/1319acbd095c5a20c36c5d1107f5c795.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/05/7e2b6190abe71010c5eab5b670b58c4b.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/0825a673a4626a183d2382f30b7bba6c.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/0ff1be44c10b6c8258f690fe73059e58.jpg"/></p>', 1, '2022-02-16 08:30:00', '2022-02-16 16:26:36'),
(4, '<p>    <img src="https://imge.tianfuture.com/1407/image/2021/02/9450c815fbbbf69f6e9f25438027ccfb.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/5a975266c63a59a3a1cdd489632464bc.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/ac6b3f97a93d90341a98659f9000ac85.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/16ad56f5a3f21af11ccf801479836e3d.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/291ffd87bb2e2b3d562b6addedc6b624.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/eec091cd545e6ee1c26af44d9c5b841c.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/274e56d70ca456032fbd34d6c9267d35.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/7ad94af43a96b39cb2ad66be6a8d9433.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/e5825d8feaf618d19191612c25b64fd7.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/e48aeaf7aa97917c23cae0066ca4c5d6.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/9b9589a2ab4030b630c0571882c32912.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/19deb1e2cb8ea1fd7fe125e4180a1438.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/dfc48db01e35272721f01a70af6ae25f.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/05/21eda01112bebc07ec74824c2c554e67.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/8d7ba3e1e8d5a03e4c55a3e614d43b3f.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/afdcfbfefdcf3dd3c647ca1aed148438.jpg"/></p>', 1, '2022-02-16 08:35:26', '2022-02-16 16:32:02'),
(5, '<p>    <img src="https://imge.tianfuture.com/1407/image/2021/02/d239bd2381a4da21d19134445fce4e58.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/29bb3447986c27957ef4e9c3727d0639.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/7def3194b3a9cc56dd856ab5fe35144a.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/5319f8adf7b096919d70ad92ec0bf0d1.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/460ffb88da5d02f50948a034f98abb19.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/7cdab499070215f99c2dd9088580a2b3.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/5446e4893e96ef511945b067ba97e112.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/f11ce34ade414eec39e89c0bca008c77.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/42272b821d58b09a167485f3ce7ba52d.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/21bb1ea8c84214e5a300eba26f000a74.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/15054ebda15ebda920ef8a7ec45678dc.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/27500018bf3803e6e3ff08a1f5a1d46e.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/05/329f66588e3a66be3044a11931fb7c04.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/74e03e840d87c7dc4e4a1cddc31c3629.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/d980e38d0a4f7a31d49a1719f2bc2ea4.jpg"/></p>', 1, '2022-02-16 08:47:17', '2022-02-16 16:43:54'),
(6, '<p><br/>    <img src="https://imge.tianfuture.com/1407/image/2021/02/883784fcec4812fe3a58f61a05e42c77.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/f58dc7d2d970e19220db3cc77cc10245.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/77bb51af215c10cc6a9c85cc5f92a102.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/4c4e852e415dd1311fbc22ef70314292.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/6a06dcfcfd4847b9d6709f97653b545e.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/c6b8dd0959f2ceb947c61a6dc34e4fcd.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/1c2d4717dc110fbc26487204d97f69d4.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/6498158935c4003cc1382adc7575574f.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/52f3c5429c99376f591c8fc21c9d4b97.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/3096eafcafc23baca2700a6aeaa75578.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/058985ffcca327c5c91b22460a9e20a2.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/cc3060f74945ab7b3578d9daa6e688f2.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/277d6b9bf53bdf9cdd62c5dc07f1ce6c.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/1fab6f02525e8db05a9c23c219ac75a5.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/018629142e57df27c2692cf270143f73.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/05/8eacab564ca46f6a49441264ed7bba3e.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/3a06fdda69f049a08054a650c6f2fc69.jpg"/><img src="https://imge.tianfuture.com/1407/image/2021/02/37c1e2959e39cae034d8fd11455bff05.jpg"/><br/></p>', 1, '2022-03-29 03:23:53', '2022-02-16 16:48:06');

-- --------------------------------------------------------

--
-- 表的结构 `szj_product_spes`
--

CREATE TABLE IF NOT EXISTS `szj_product_spes` (
  `spe_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_id` int(10) unsigned NOT NULL COMMENT '商品ID',
  `item_id` int(10) unsigned NOT NULL COMMENT '商品类型属性ID 关联商品类型属性表',
  `spes_value` varchar(255) NOT NULL COMMENT '用户设置的值 供检索',
  `admin_id` int(10) unsigned NOT NULL COMMENT '管理员ID',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`spe_id`),
  KEY `goods_id` (`product_id`),
  KEY `item_id` (`item_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='商品属性设置表' AUTO_INCREMENT=64 ;

--
-- 转存表中的数据 `szj_product_spes`
--

INSERT INTO `szj_product_spes` (`spe_id`, `product_id`, `item_id`, `spes_value`, `admin_id`, `update_time`, `create_time`) VALUES
(1, 1, 1, '其它', 1, '2022-02-16 08:22:49', '2022-02-16 16:19:25'),
(2, 1, 2, '茅台醇', 1, '2022-02-16 08:22:49', '2022-02-16 16:19:25'),
(3, 1, 3, '1.75kg', 1, '2022-02-16 08:22:49', '2022-02-16 16:19:25'),
(4, 1, 4, '500-749mL', 1, '2022-02-16 08:22:49', '2022-02-16 16:19:25'),
(5, 1, 5, '50度及以上', 1, '2022-02-16 08:22:49', '2022-02-16 16:19:25'),
(6, 1, 6, '酱香型', 1, '2022-02-16 08:22:49', '2022-02-16 16:19:25'),
(7, 1, 7, '中国大陆', 1, '2022-02-16 08:22:49', '2022-02-16 16:19:25'),
(8, 2, 1, '其它', 1, '2022-02-16 08:27:01', '2022-02-16 16:23:37'),
(9, 2, 2, '茅台醇', 1, '2022-02-16 08:27:01', '2022-02-16 16:23:37'),
(10, 2, 3, '1.4kg', 1, '2022-02-16 08:27:01', '2022-02-16 16:23:37'),
(11, 2, 4, '500-749mL', 1, '2022-02-16 08:27:01', '2022-02-16 16:23:37'),
(12, 2, 5, '50度及以上', 1, '2022-02-16 08:27:01', '2022-02-16 16:23:37'),
(13, 2, 6, '酱香型', 1, '2022-02-16 08:27:01', '2022-02-16 16:23:37'),
(14, 2, 7, '中国大陆', 1, '2022-02-16 08:27:01', '2022-02-16 16:23:37'),
(15, 3, 1, '其它', 1, '2022-02-16 08:30:00', '2022-02-16 16:26:36'),
(16, 3, 2, '茅台醇', 1, '2022-02-16 08:30:00', '2022-02-16 16:26:36'),
(17, 3, 3, '1.35kg', 1, '2022-02-16 08:30:00', '2022-02-16 16:26:36'),
(18, 3, 4, '500-749mL', 1, '2022-02-16 08:30:00', '2022-02-16 16:26:36'),
(19, 3, 5, '50度及以上', 1, '2022-02-16 08:30:00', '2022-02-16 16:26:36'),
(20, 3, 6, '酱香型', 1, '2022-02-16 08:30:00', '2022-02-16 16:26:36'),
(21, 3, 7, '中国大陆', 1, '2022-02-16 08:30:00', '2022-02-16 16:26:36'),
(22, 4, 1, '其它', 1, '2022-02-16 08:35:26', '2022-02-16 16:32:02'),
(23, 4, 2, '茅台醇', 1, '2022-02-16 08:35:26', '2022-02-16 16:32:02'),
(24, 4, 3, '1.75kg', 1, '2022-02-16 08:35:26', '2022-02-16 16:32:02'),
(25, 4, 4, '500-749mL', 1, '2022-02-16 08:35:26', '2022-02-16 16:32:02'),
(26, 4, 5, '50度及以上', 1, '2022-02-16 08:35:26', '2022-02-16 16:32:02'),
(27, 4, 6, '酱香型', 1, '2022-02-16 08:35:26', '2022-02-16 16:32:02'),
(28, 4, 7, '中国大陆', 1, '2022-02-16 08:35:26', '2022-02-16 16:32:02'),
(29, 5, 1, '其它', 1, '2022-02-16 08:47:17', '2022-02-16 16:43:54'),
(30, 5, 2, '茅台醇', 1, '2022-02-16 08:47:17', '2022-02-16 16:43:54'),
(31, 5, 3, '1.75kg', 1, '2022-02-16 08:47:17', '2022-02-16 16:43:54'),
(32, 5, 4, '500-749mL', 1, '2022-02-16 08:47:17', '2022-02-16 16:43:54'),
(33, 5, 5, '50度及以上', 1, '2022-02-16 08:47:17', '2022-02-16 16:43:54'),
(34, 5, 6, '酱香型', 1, '2022-02-16 08:47:17', '2022-02-16 16:43:54'),
(35, 5, 7, '中国大陆', 1, '2022-02-16 08:47:17', '2022-02-16 16:43:54'),
(57, 6, 1, '其它', 1, '2022-03-29 03:24:32', '2022-03-29 11:23:53'),
(58, 6, 2, '茅台醇', 1, '2022-03-29 03:24:32', '2022-03-29 11:23:53'),
(59, 6, 3, '1.75kg', 1, '2022-03-29 03:24:32', '2022-03-29 11:23:53'),
(60, 6, 4, '500-749mL', 1, '2022-03-29 03:24:32', '2022-03-29 11:23:53'),
(61, 6, 5, '50度及以上', 1, '2022-03-29 03:24:32', '2022-03-29 11:23:53'),
(62, 6, 6, '酱香型', 1, '2022-03-29 03:24:32', '2022-03-29 11:23:53'),
(63, 6, 7, '中国大陆', 1, '2022-03-29 03:24:32', '2022-03-29 11:23:53');

-- --------------------------------------------------------

--
-- 表的结构 `szj_product_suppliers`
--

CREATE TABLE IF NOT EXISTS `szj_product_suppliers` (
  `supplier_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '供货商ID',
  `supplier_name` varchar(255) NOT NULL COMMENT '联系人',
  `supplier_phone` varchar(255) NOT NULL COMMENT '电话',
  `supplier_status` tinyint(1) unsigned NOT NULL COMMENT '状态 1稳定 2异常 0未知',
  `admin_id` int(10) unsigned NOT NULL COMMENT '操作人员',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`supplier_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='供货商表' AUTO_INCREMENT=5 ;

--
-- 转存表中的数据 `szj_product_suppliers`
--

INSERT INTO `szj_product_suppliers` (`supplier_id`, `supplier_name`, `supplier_phone`, `supplier_status`, `admin_id`, `update_time`, `create_time`) VALUES
(2, '源森家具-小罗', '07623379398', 1, 1, '2022-02-09 07:55:48', '2022-02-09 14:46:06'),
(3, '茅台集团-老刘', '13750229481', 1, 1, '2022-02-09 07:51:13', '2022-02-09 15:40:58'),
(4, '思智捷科技-罗生', '15219840108', 1, 1, '2022-02-09 07:58:44', '2022-02-09 15:55:18');

-- --------------------------------------------------------

--
-- 表的结构 `szj_product_types`
--

CREATE TABLE IF NOT EXISTS `szj_product_types` (
  `type_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '类型id',
  `type_name` varchar(255) NOT NULL COMMENT '类型名称',
  `admin_id` int(10) unsigned NOT NULL COMMENT '管理员ID',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`type_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='商品类型表' AUTO_INCREMENT=2 ;

--
-- 转存表中的数据 `szj_product_types`
--

INSERT INTO `szj_product_types` (`type_id`, `type_name`, `admin_id`, `update_time`, `create_time`) VALUES
(1, '茅台醇', 1, '2022-02-16 07:54:41', '2022-02-16 15:51:17');

-- --------------------------------------------------------

--
-- 表的结构 `szj_product_types_item`
--

CREATE TABLE IF NOT EXISTS `szj_product_types_item` (
  `item_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '属性ID',
  `type_id` int(10) unsigned NOT NULL COMMENT '关联商品类型表 product_types',
  `item_name` varchar(255) NOT NULL COMMENT '属性名称',
  `item_type` tinyint(1) unsigned NOT NULL COMMENT '属性类型 1输入 2单选 3多选',
  `item_value` varchar(255) NOT NULL COMMENT '属性值',
  `is_search` tinyint(1) unsigned NOT NULL COMMENT '是否可以检索',
  `admin_id` int(10) unsigned NOT NULL COMMENT '管理员ID',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`item_id`),
  KEY `is_search` (`is_search`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='商品类型属性表' AUTO_INCREMENT=8 ;

--
-- 转存表中的数据 `szj_product_types_item`
--

INSERT INTO `szj_product_types_item` (`item_id`, `type_id`, `item_name`, `item_type`, `item_value`, `is_search`, `admin_id`, `update_time`, `create_time`) VALUES
(1, 1, '包装', 2, '其它', 0, 1, '2022-02-16 08:23:09', '2022-02-16 15:51:37'),
(2, 1, '品牌', 2, '茅台醇', 0, 1, '2022-02-16 07:55:28', '2022-02-16 15:52:04'),
(3, 1, '商品毛重', 2, '1.75kg|1.35kg|1.4kg', 0, 1, '2022-02-16 07:59:27', '2022-02-16 15:52:32'),
(4, 1, '容量', 2, '500-749mL', 0, 1, '2022-02-16 07:56:24', '2022-02-16 15:53:01'),
(5, 1, '度数', 2, '50度及以上', 0, 1, '2022-02-16 07:56:50', '2022-02-16 15:53:27'),
(6, 1, '香型', 2, '酱香型', 0, 1, '2022-02-16 07:57:11', '2022-02-16 15:53:47'),
(7, 1, '商品产地', 2, '中国大陆', 0, 1, '2022-02-16 07:58:12', '2022-02-16 15:54:48');

-- --------------------------------------------------------

--
-- 表的结构 `szj_roles`
--

CREATE TABLE IF NOT EXISTS `szj_roles` (
  `role_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_desc` varchar(255) NOT NULL COMMENT '角色描述',
  `role_name` varchar(20) NOT NULL COMMENT '角色名称',
  `admin_id` int(10) unsigned NOT NULL COMMENT '操作管理员',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`role_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='管理员角色表' AUTO_INCREMENT=4 ;

--
-- 转存表中的数据 `szj_roles`
--

INSERT INTO `szj_roles` (`role_id`, `role_desc`, `role_name`, `admin_id`, `update_time`, `create_time`) VALUES
(1, '拥有全站的所有权限,属最高级别管理员', '超级管理员', 1, '2020-10-26 08:35:37', '2020-10-23 14:00:34'),
(3, '有查看数据管理中心的基本权限', '测试人员', 1, '2022-01-20 03:31:45', '2020-10-24 10:55:38');

-- --------------------------------------------------------

--
-- 表的结构 `szj_shippings_config`
--

CREATE TABLE IF NOT EXISTS `szj_shippings_config` (
  `shipping_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '配送ID',
  `shipping_name` varchar(255) NOT NULL COMMENT '配送名称',
  `shipping_logo` varchar(255) NOT NULL COMMENT '配送logo',
  `shipping_params_index` varchar(255) NOT NULL COMMENT '配送参数设置 关联配置表filed_index',
  `shipping_status` tinyint(1) unsigned NOT NULL COMMENT '是否启用',
  `shipping_sort` tinyint(1) unsigned NOT NULL COMMENT '排序',
  `admin_id` int(10) unsigned NOT NULL COMMENT '管理员ID',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`shipping_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='配送方式配置表' AUTO_INCREMENT=4 ;

--
-- 转存表中的数据 `szj_shippings_config`
--

INSERT INTO `szj_shippings_config` (`shipping_id`, `shipping_name`, `shipping_logo`, `shipping_params_index`, `shipping_status`, `shipping_sort`, `admin_id`, `update_time`, `create_time`) VALUES
(1, '同城配送', '', '', 1, 99, 1, '2022-02-19 07:34:44', '2022-02-19 11:57:22'),
(2, '上门自提', '', '', 1, 99, 1, '2022-02-19 07:34:09', '2022-02-19 11:57:40'),
(3, '快递包邮', '', '', 1, 99, 1, '2022-02-19 04:06:48', '2022-02-19 11:57:57');

-- --------------------------------------------------------

--
-- 表的结构 `szj_users`
--

CREATE TABLE IF NOT EXISTS `szj_users` (
  `user_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `nickname` varchar(255) NOT NULL COMMENT '用户昵称',
  `account_name` varchar(255) NOT NULL COMMENT '用户账号',
  `openid` varchar(255) NOT NULL COMMENT '微信ID',
  `password` varchar(255) NOT NULL COMMENT '登录密码',
  `money` float(10,2) unsigned NOT NULL COMMENT '用户余额',
  `intergral` int(10) unsigned NOT NULL COMMENT '用户积分',
  `headimgurl` varchar(255) NOT NULL COMMENT '用户头像',
  `login_time` datetime NOT NULL COMMENT '登录时间',
  `city` varchar(255) NOT NULL COMMENT '所在城市',
  `province` varchar(255) NOT NULL COMMENT '所在省',
  `country` varchar(255) NOT NULL COMMENT '所在国家',
  `sex` char(1) NOT NULL COMMENT '性别',
  `subscribe` tinyint(1) unsigned NOT NULL COMMENT '是否关注公众号',
  `unionid` varchar(255) NOT NULL COMMENT '微信联合ID',
  `update_ttime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `create_time` datetime NOT NULL COMMENT '注册时间',
  PRIMARY KEY (`user_id`),
  KEY `openid` (`openid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='用户表' AUTO_INCREMENT=3 ;

--
-- 转存表中的数据 `szj_users`
--

INSERT INTO `szj_users` (`user_id`, `nickname`, `account_name`, `openid`, `password`, `money`, `intergral`, `headimgurl`, `login_time`, `city`, `province`, `country`, `sex`, `subscribe`, `unionid`, `update_ttime`, `create_time`) VALUES
(1, 'como', 'cJxhuA173731', 'oSF4duIAfTLdEMukzNOpYPAuJxEo', 'e10adc3949ba59abbe56e057f20f883e', 8806.00, 0, 'https://thirdwx.qlogo.cn/mmopen/vi_32/6rSrIHWIDmibMnJxVuHFnS6rEoKCzUhHgg0whHatM3kRMRBsppo9lueRFYaVhzzlQ5db103IHrsArOzVAYejugw/132', '2022-03-10 17:37:31', '', '', '', '0', 0, '', '2022-03-27 12:28:09', '2022-03-10 17:37:31'),
(2, 'como', 'Hf8KyZ103308', 'okXHRwVqk39baIntOSADkiFLSNNQ', 'e10adc3949ba59abbe56e057f20f883e', 0.00, 0, 'https://thirdwx.qlogo.cn/mmopen/vi_32/0OwCTB6MGMdMXOZFS5lqsDZicia67OFNWImWP3VicmxeCjdYmhIotkgicX3oHO525yRnFmnwYvIHF50p9U9a9OX17Q/132', '2022-03-29 10:33:08', '', '', '', '0', 0, '', '2022-03-29 02:58:29', '2022-03-29 10:33:08');

-- --------------------------------------------------------

--
-- 表的结构 `szj_users_money_logs`
--

CREATE TABLE IF NOT EXISTS `szj_users_money_logs` (
  `log_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '记录ID',
  `log_desc` varchar(255) NOT NULL COMMENT '变动说明',
  `money` float(10,2) NOT NULL COMMENT '变动金额',
  `user_id` int(10) unsigned NOT NULL COMMENT '用户ID',
  `change_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '变动时间',
  PRIMARY KEY (`log_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='用户余额变动记录表' AUTO_INCREMENT=5 ;

--
-- 转存表中的数据 `szj_users_money_logs`
--

INSERT INTO `szj_users_money_logs` (`log_id`, `log_desc`, `money`, `user_id`, `change_time`) VALUES
(1, '商品下单时余额抵扣,订单编号是:W20220327202657633061', -100.00, 1, '2022-03-27 12:27:03'),
(2, '订单取消,退回订单抵扣的余额,订单编号是:W20220327202657633061', 100.00, 1, '2022-03-27 12:27:35'),
(3, '商品下单时余额抵扣,订单编号是:W20220327202803123126', -1194.00, 1, '2022-03-27 12:28:09'),
(4, '商品下单时余额抵扣,订单编号是:W20220329105750596109', -10.00, 2, '2022-03-29 02:58:29');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
